2025-07-28  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 2dc0412498e0c0a0280f800cf4284b2ec3bed449
	Bump version number to 2.42

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2025-07-28  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: c113fdc40b5c1991e71fc780a174f1f361a257cc
	NEWS: update with last-minute fix bug 33224

	* NEWS: Modified.

2025-07-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6ab36c4e6d5a7798c469d26b6760b58d84a87558
	math: Update auto-libm-tests-in with ldbl-128ibm compoundn/pown failures

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-compoundn: Modified.
	* math/auto-libm-test-out-pown: Modified.

2025-07-28  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 54851e392d3eaa8a575a382387f27ee4267ce15e
	INSTALL: Update newest tested binutils version

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2025-07-28  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 620f0730f311635cd0e175a3ae4d0fc700c76366
	elf: Compile _dl_debug_state separately (bug 33224)

	* elf/Makefile: Modified.
	* elf/dl-debug.c: Modified.
	(_dl_debug_state): Remove function.
	(rtld_hidden_def): Remove.
	* elf/dl-debug_state.c: New file.

2025-07-28  Sam James  <sam@gentoo.org>

	COMMIT: c4ff6e666b3d1b56456b3d7ad9cb787ad1264983
	configure.ac: fix bashisms in SFrame checks

	* configure: Modified.
	* configure.ac: Modified.

2025-07-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 0def17238661b47fd8557aafaa1bb4805e6b28e8
	INSTALL: regenerate

	* INSTALL: Modified.

2025-07-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 4e42971a0354552c16be0fe3a7ad0739a0785d7b
	install.texi: Update tested build tool versions

	* manual/install.texi: Modified.

2025-07-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 015483f8a1cf06c379989c1f57e8f8e75db9c48a
	contrib.texi: Update

	* manual/contrib.texi: Modified.

2025-07-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: a92914de93979dbaa85ae9e410157bf5b67bcf98
	NEWS: insert list of CVEs

	* NEWS: Modified.

2025-07-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 4d585d0afb2db97ce4356c56ee63ac58f44ebe29
	advisories: s/CVE-id/CVE-Id/ (the lowercase i breaks our tooling)

	* advisories/GLIBC-SA-2025-0002: Modified.
	* advisories/GLIBC-SA-2025-0003: Modified.
	* advisories/GLIBC-SA-2025-0004: Modified.

2025-07-25  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 2a796b7981a85f513baccab123c473802ab989d6
	NEWS: Generalize testing section and mention the manual.

	* NEWS: Modified.

2025-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 712623fb07d307181263607086b1e7197924137c
	NEWS: Insert list of bugs fixed in 2.42

	* NEWS: Modified.

2025-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 12c9494310858d7c52aad12958cb2566591464b2
	NEWS: Collect some more newsworthy items

	* NEWS: Modified.

2025-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 30a5fd9b1102ce0f5436d1b7192ab9ec6ab3c085
	NEWS: editorial changes

	* NEWS: Modified.

2025-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: b149c8e1f70cf93ad09e8f9cc69a56749ddc8c4c
	po: Update swedish translations

	* po/sv.po: Modified.

2025-07-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9e1951ae887a63a5af4d135fbfc751adb641cf6b
	debug: Only run sframe tests if run-built-tests is enabled

	* debug/Makefile: Modified.

2025-07-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8698af6dcf332f8ce7b3af3e2be3c8c49fec2b0e
	aarch64: Fix aarch64_be build with --enable-sframe

	* sysdeps/unix/sysv/linux/aarch64/uw-sigframe.h: Modified.

2025-07-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 158e939aef55017f76c93d4be1b262de6cc2378f
	elf: Check SFrame on tst-dl_find_object.c

	* elf/tst-dl_find_object.c: Modified.
	(check): Modified function.
	(do_test): Modified function.

2025-07-24  Claudiu Zissulescu  <claudiu.zissulescu-ianculescu@oracle.com>

	COMMIT: 072b5a9922ee6711c00c7c38dec96873dd7b9916
	sframe: Add support for SFRAME_F_FDE_FUNC_START_PCREL flag

	* sysdeps/generic/sframe-read.c: Modified.
	(sframe_header_sanity_check_p): Modified function.
	(sframe_fre_check_range_p): Modified function.
	(sframe_get_funcdesc_with_addr_internal): Modified function.
	(__sframe_find_fre): Modified function.
	(sframe_decoder_get_offsetof_fde_start_addr): New function.
	(sframe_decoder_get_secrel_func_start_addr): New function.
	* sysdeps/generic/sframe-read.h: Modified.
	[__cplusplus](sframe_decoder_ctx): Modified.
	* sysdeps/generic/sframe.h: Modified.
	[__cplusplus](SFRAME_F_FDE_SORTED): Modified.
	[__cplusplus](SFRAME_F_FRAME_POINTER): Modified.
	[__cplusplus](SFRAME_F_FDE_FUNC_START_PCREL): New.
	[__cplusplus](SFRAME_V2_F_ALL_FLAGS): New.

2025-07-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 20528165bda5286f8c5c2d20200699a354eb9a0a
	Disable SFrame support by default

	* INSTALL: Modified.
	* NEWS: Modified.
	* aclocal.m4: Modified.
	* config.h.in: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* debug/Makefile: Modified.
	* debug/backtrace.c: Modified.
	(sframe.h): Remove include.
	(do_sframe_backtrace): Remove function.
	(__backtrace): Modified function.
	[ENABLE_SFRAME](sframe.h): New.
	[ENABLE_SFRAME](do_sframe_backtrace): New.
	* sysdeps/pthread/tst-backtrace1.c: Move to...
	* debug/tst-backtrace1.c: ... here.
	* manual/install.texi: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.
	* sysdeps/generic/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.

2025-07-24  Sachin Monga  <smonga@linux.ibm.com>

	COMMIT: ce488f7c1615bc2f6fe96ff4d51456e470aa5805
	math: xfail some pown and compoundn tests for ibm128-libgcc

	* math/auto-libm-test-out-compoundn: Modified.
	* math/auto-libm-test-out-pown: Modified.
	* math/libm-test-pown.inc: Modified.

2025-07-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c7742069a658dd9d266f74587b7e91a579a49d40
	manual: Use @Theglibc{} at sentence start in terminal documentation

	* manual/terminal.texi: Modified.

2025-07-24  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: d73149331156aaaf23f4f1e48c507aa804e102c3
	Update Fix-Commit list for advisory GLIBC-SA-2025-0002

	* advisories/GLIBC-SA-2025-0002: Modified.

2025-07-24  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: d21c8ba4795044ae863e832d0683ba10fec01c7c
	debug: Link tst-sprintf-fortify-rdonly-static with -Wl,-z,relro [BZ 33183]

	* debug/Makefile: Modified.

2025-07-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3ff17af18c38727b88d9115e536c069e6b5d601f
	Advisory text for CVE-2025-8058

	* advisories/GLIBC-SA-2025-0005: New file.

2025-07-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 1944817240eeea5c044995e45a771a5a5193ecf1
	Makeconfig: The hash character # confuses old make, use $(dir instead of sed

	* Makeconfig: Modified.

2025-07-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 58d0ef79898eed5415c0dd4d3c9eda6c3c314daf
	po: Incorporate translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2025-07-21  Florian Weimer  <fweimer@redhat.com>
            Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 7ea06e994093fa0bcca0d0ee2c1db271d8d7885d
	posix: Fix double-free after allocation failure in regcomp (bug 33185)

	* posix/Makefile: Modified.
	* posix/regcomp.c: Modified.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][_LIBC][! _LIBC](parse_bracket_exp): Modified function.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][_LIBC](parse_bracket_exp): Modified function.
	* posix/tst-regcomp-bracket-free.c: New file.

2025-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0f93d54cde08d1da321493b999d6833779995a86
	Revert "Linux: Keep termios ioctl constants strictly internal"

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/alpha/bits/ioctls.h: New file.
	* sysdeps/unix/sysv/linux/alpha/termios_arch.h: New file.
	* sysdeps/unix/sysv/linux/bits/ioctls.h: Modified.
	(TCGETS): Remove.
	(TCSETS): Remove.
	(TCSETSF): Remove.
	(TCSETSW): Remove.
	(TCGETS2): Remove.
	(TCSETS2): Remove.
	(TCSETSF2): Remove.
	(TCSETSW2): Remove.
	* sysdeps/unix/sysv/linux/hppa/bits/ioctls.h: New file.
	* sysdeps/unix/sysv/linux/isatty.c: Modified.
	(__isatty): Modified function.
	* sysdeps/unix/sysv/linux/isatty_nostatus.c: Modified.
	(__isatty_nostatus): Modified function.
	* sysdeps/unix/sysv/linux/mips/old_termios.h: Move to...
	* sysdeps/unix/sysv/linux/mips/termios_arch.h: ... here.
	(old_termios): Modified.
	(_TERMIOS2_NCCS): New.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): New.
	* sysdeps/unix/sysv/linux/powerpc/internal-ioctl.h: Modified.
	(termios_internals.h): Remove include.
	(assert.h): Remove include.
	(GLIBC_TCGETS): Remove.
	(GLIBC_TCSETS): Remove.
	(GLIBC_TCSETSW): Remove.
	(GLIBC_TCSETSF): Remove.
	(__ioctl_arch): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/termios_arch.h: New file.
	* sysdeps/unix/sysv/linux/sparc/bits/ioctls.h: New file.
	* sysdeps/unix/sysv/linux/sparc/old_termios.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/termios_arch.h: ... here.
	(old_termios): Modified.
	(_TERMIOS2_NCCS): New.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): New.
	* sysdeps/unix/sysv/linux/tcgetattr.c: Modified.
	(__tcgetattr): Modified function.
	* sysdeps/unix/sysv/linux/tcsetattr.c: Modified.
	(static_assert_equal): Remove.
	(static_assert_equal): Remove.
	(static_assert_equal): Remove.
	(__tcsetattr): Modified function.
	* sysdeps/unix/sysv/linux/termios-kernel-consts.sym: Delete file.
	* sysdeps/unix/sysv/linux/termios_arch.h: New file.
	* sysdeps/unix/sysv/linux/termios_internals.h: Modified.
	[! __ASSUME_TERMIOS2](ARCH_TCGETS): Remove.
	[__ASSUME_TERMIOS2](ARCH_TCGETS): Remove.
	(termios-kernel-consts.h): Remove include.
	(termios2): Modified.
	(old_termios.h): Remove include.
	[! TCGETS2](TCGETS2): New.
	[! TCGETS2](TCSETS2): New.
	[! TCGETS2](TCSETSW2): New.
	[! TCGETS2](TCSETSF2): New.
	[! _HAVE_STRUCT_OLD_TERMIOS](OLD_NCCS): New.
	[! _HAVE_STRUCT_OLD_TERMIOS](old_termios_t): New.
	[!__ASSUME_TERMIOS2](TCGETS2): New.
	[_HAVE_STRUCT_OLD_TERMIOS](old_termios_t): New.
	(termios_arch.h): Include file.

2025-07-20  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: c744519bad81067697600bd01e90b90ae338bf08
	termios: manual: document the SPEED_MAX and BAUD_MAX constants

	* manual/terminal.texi: Modified.

2025-07-20  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 12126f86f2526da325cd17a6463ec4c0c3db981e
	termios: SPEED_MAX and BAUD_MAX constants

	* bits/termios-baud.h: Modified.
	[__USE_GNU](SPEED_MAX): New.
	* termios/termios.h: Modified.
	[__USE_GNU](BAUD_MAX): New.

2025-07-20  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 0332959dd27e8be7e488862211327eab3531e520
	termios: move the baud_t interface from __USE_MISC to __USE_GNU

	* termios/termios.h: Modified.
	[__USE_MISC](baud_t): Remove.
	[__USE_MISC](cfgetobaud): Remove.
	[__USE_MISC](cfgetibaud): Remove.
	[__USE_MISC](cfsetobaud): Remove.
	[__USE_MISC](cfsetibaud): Remove.
	[__USE_MISC](cfsetbaud): Remove.
	[__USE_GNU](baud_t): New.
	[__USE_GNU](cfgetobaud): New.
	[__USE_GNU](cfgetibaud): New.
	[__USE_GNU](cfsetobaud): New.
	[__USE_GNU](cfsetibaud): New.
	[__USE_GNU](cfsetbaud): New.

2025-07-20  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 5dd2a19ad5218261cee064477342e81d67367e78
	termios: manual: improve the explanation of various tty concepts

	* manual/terminal.texi: Modified.

2025-07-20  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 5e78997c5662a16a3aaeec8c49b99e30e6e24046
	termios: manual: remove duplicate cfgetospeed() definition

	* manual/terminal.texi: Modified.

2025-07-20  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 118370fd7880d5f275e189af451c8cc78f7bfcca
	termios: manual: fix typo: tcsettattr -> tcsetattr

	* manual/terminal.texi: Modified.

2025-07-19  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 8cab264b26411579051de930417ca4a346e0254c
	libc.pot: regenerate

	* po/libc.pot: Modified.

2025-07-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 55e85c1e48c2aae71c0b5907fd22a3e9b978b6e8
	io/tst-stat.c: Use a temporary directory for symlink test

	* io/tst-stat.c: Modified.
	(do_test): Modified function.
	(stdlib.h): Include file.

2025-07-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 01196393c257c59f63e0e14fa1bfe8d2a699bf2d
	elf: Initialize GLRO (dl_read_only_area) after static dlopen (bug 33139)

	* debug/Makefile: Modified.
	* debug/tst-sprintf-fortify-rdonly-static.c: New file.
	* elf/rtld.c: Modified.
	[! DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	[DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	* elf/rtld_static_init.c: Modified.
	(__rtld_static_init): Modified function.

2025-07-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3a9c1497e320d77b2453ee88d7d6b40e162e85d4
	debug: Do not link tst-sprintf-fortify-rdonly against the dlopen module

	* debug/Makefile: Modified.

2025-07-18  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: aec84988738cd6bc67f22a26d54b0f5ac9167ee4
	x86-64: Properly compile ISA optimized modf and modff

	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86_64/fpu/multiarch/Makefile: Modified.
	* sysdeps/x86_64/fpu/multiarch/ifunc-sse4_1-avx.h: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modf-avx.c: Modified.
	(__modf): New.
	* sysdeps/x86_64/fpu/multiarch/s_modf-c.c: Delete file.
	* sysdeps/x86_64/fpu/multiarch/s_modf-sse4_1.c: Modified.
	[MINIMUM_X86_ISA_LEVEL != SSE4_1_X86_ISA_LEVEL](__modf): Remove.
	(sysdeps/x86/isa-level.h): Remove include.
	(__modf): New.
	* sysdeps/x86_64/fpu/multiarch/s_modf.c: Modified.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](NO_MATH_REDIRECT): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](libm-alias-double.h): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](modf): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](__modf): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](math.h): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](modf): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](__modf): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](SYMBOL_NAME): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](ifunc-sse4_1.h): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](libc_ifunc_redirected): Remove.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL != SSE4_1_X86_ISA_LEVEL](__modf): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL != SSE4_1_X86_ISA_LEVEL](sysdeps/ieee754/dbl-64/s_modf.c): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL == SSE4_1_X86_ISA_LEVEL](__modf): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](NO_MATH_REDIRECT): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](libm-alias-double.h): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](modf): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](__modf): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](math.h): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](modf): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](__modf): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](SYMBOL_NAME): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](ifunc-sse4_1-avx.h): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](libc_ifunc_redirected): New.
	* sysdeps/x86_64/fpu/multiarch/s_modff-avx.c: Modified.
	(__modff): New.
	* sysdeps/x86_64/fpu/multiarch/s_modff-c.c: Delete file.
	* sysdeps/x86_64/fpu/multiarch/s_modff-sse4_1.c: Modified.
	[MINIMUM_X86_ISA_LEVEL != SSE4_1_X86_ISA_LEVEL](__modff): Remove.
	(sysdeps/x86/isa-level.h): Remove include.
	(__modff): New.
	* sysdeps/x86_64/fpu/multiarch/s_modff.c: Modified.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](NO_MATH_REDIRECT): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](libm-alias-float.h): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](modff): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](__modff): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](math.h): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](modff): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](__modff): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](SYMBOL_NAME): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](ifunc-sse4_1.h): Remove.
	[MINIMUM_X86_ISA_LEVEL < SSE4_1_X86_ISA_LEVEL](libc_ifunc_redirected): Remove.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL != SSE4_1_X86_ISA_LEVEL](__modff): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL != SSE4_1_X86_ISA_LEVEL](sysdeps/ieee754/flt-32/s_modff.c): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL == SSE4_1_X86_ISA_LEVEL](__modff): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](NO_MATH_REDIRECT): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](libm-alias-float.h): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](modff): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](__modff): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](math.h): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](modff): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](__modff): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](SYMBOL_NAME): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](ifunc-sse4_1-avx.h): New.
	[MINIMUM_X86_ISA_LEVEL < AVX_X86_ISA_LEVEL](libc_ifunc_redirected): New.

2025-07-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 13bf7812ef512d86d026ada34e75b22692152441
	x86-64: Compile ISA versions of modf/modff with -fno-stack-protector

	* sysdeps/x86_64/fpu/multiarch/Makefile: Modified.

2025-07-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cdcf24ee14c27b77744ff52ab3ae852821207eb0
	iconv: iconv -o should not create executable files (bug 33164)

	* iconv/iconv_prog.c: Modified.
	(open_output_direct): Modified function.
	(prepare_output_file): Modified function.
	* iconv/tst-iconv_prog-buffer.sh: Modified.

2025-07-14  Cupertino Miranda  <cupertino.miranda@oracle.com>

	COMMIT: 0263528f8dd60cf58976e2d516b7c9edb16ae6f8
	malloc: fix definition for MAX_TCACHE_SMALL_SIZE

	* malloc/malloc.c: Modified.
	[USE_TCACHE](MAX_TCACHE_SMALL_SIZE): Modified.

2025-07-14  Claudiu Zissulescu  <claudiu.zissulescu-ianculescu@oracle.com>

	COMMIT: e85dbd8604aedf4f3a30c6c9c2f0efc18183f270
	SFrame: Add tests that uses DWARF backtracer

	* debug/Makefile: Modified.

2025-07-14  Claudiu Zissulescu  <claudiu.zissulescu-ianculescu@oracle.com>

	COMMIT: 3d780a44ebdb3fb780e04682df50da1145bcd98a
	configure: Add --enable-sframe option

	* INSTALL: Modified.
	* Makeconfig: Modified.
	* NEWS: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.

2025-07-14  Claudiu Zissulescu  <claudiu.zissulescu-ianculescu@oracle.com>

	COMMIT: 3360913c37f5c3a0c8737b76321fd5ce2608fcd5
	elf: Add SFrame stack tracing

	* debug/backtrace.c: Modified.
	(__backtrace): Modified function.
	(sframe.h): Include file.
	(do_sframe_backtrace): New function.
	* sysdeps/generic/Makefile: Modified.
	* sysdeps/generic/sframe-read.c: New file.
	* sysdeps/generic/sframe-read.h: New file.
	* sysdeps/generic/sframe.c: New file.
	* sysdeps/generic/sframe.h: New file.
	* sysdeps/generic/uw-sigframe.h: New file.

2025-07-14  Claudiu Zissulescu  <claudiu.zissulescu-ianculescu@oracle.com>

	COMMIT: b231c21fc6bf7443d4949982f6a34f47605a19e5
	aarch64: Add SFrame support for aarch64 architecture

	* sysdeps/unix/sysv/linux/aarch64/uw-sigframe.h: New file.

2025-07-14  Claudiu Zissulescu  <claudiu.zissulescu-ianculescu@oracle.com>

	COMMIT: 170206b64196c4182e1addd0ce179523cfd6d1dc
	x86: Add SFrame support for x86 architecture

	* sysdeps/unix/sysv/linux/x86_64/uw-sigframe.h: New file.

2025-07-14  Claudiu Zissulescu  <claudiu.zissulescu-ianculescu@oracle.com>

	COMMIT: 0ebe4fba8854f06be17482b250eac1a0b74d2b48
	elf: Add SFrame support to _dl_find_object function

	* dlfcn/dlfcn.h: Modified.
	[__USE_GNU](dl_find_object): Modified.
	[__USE_GNU](DLFO_FLAG_SFRAME): New.
	* elf/dl-find_object.h: Modified.
	(dl_find_object_internal): Modified.
	(_dl_find_object_internal_copy): Modified function.
	(_dl_find_object_to_external): Modified function.
	(_dl_find_object_from_map): Modified function.
	* manual/dynlink.texi: Modified.

2025-07-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c055c54e960579619304c7fb998e6bc12e82c5bd
	x86_64: Optimize modf/modff for x86_64-v2

	* sysdeps/x86_64/fpu/math-use-builtins-trunc.h: New file.
	* sysdeps/x86_64/fpu/multiarch/Makefile: Modified.
	* sysdeps/x86_64/fpu/multiarch/s_modf-avx.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modf-c.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modf-sse4_1.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modf.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modff-avx.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modff-c.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modff-sse4_1.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_modff.c: New file.

2025-07-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3d3572f59059e2b19b8541ea648a6172136ec42e
	Linux: Keep termios ioctl constants strictly internal

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/alpha/bits/ioctls.h: Delete file.
	* sysdeps/unix/sysv/linux/alpha/termios_arch.h: Delete file.
	* sysdeps/unix/sysv/linux/bits/ioctls.h: Modified.
	(TCGETS): New.
	(TCSETS): New.
	(TCSETSF): New.
	(TCSETSW): New.
	(TCGETS2): New.
	(TCSETS2): New.
	(TCSETSF2): New.
	(TCSETSW2): New.
	* sysdeps/unix/sysv/linux/hppa/bits/ioctls.h: Delete file.
	* sysdeps/unix/sysv/linux/isatty.c: Modified.
	(__isatty): Modified function.
	* sysdeps/unix/sysv/linux/isatty_nostatus.c: Modified.
	(__isatty_nostatus): Modified function.
	* sysdeps/unix/sysv/linux/mips/termios_arch.h: Move to...
	* sysdeps/unix/sysv/linux/mips/old_termios.h: ... here.
	(_TERMIOS2_NCCS): Remove.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): Remove.
	(old_termios): Modified.
	* sysdeps/unix/sysv/linux/powerpc/internal-ioctl.h: Modified.
	(__ioctl_arch): Modified function.
	(termios_internals.h): Include file.
	(assert.h): Include file.
	(GLIBC_TCGETS): New.
	(GLIBC_TCSETS): New.
	(GLIBC_TCSETSW): New.
	(GLIBC_TCSETSF): New.
	* sysdeps/unix/sysv/linux/powerpc/termios_arch.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/bits/ioctls.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/termios_arch.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/old_termios.h: ... here.
	(_TERMIOS2_NCCS): Remove.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): Remove.
	(old_termios): Modified.
	* sysdeps/unix/sysv/linux/tcgetattr.c: Modified.
	(__tcgetattr): Modified function.
	* sysdeps/unix/sysv/linux/tcsetattr.c: Modified.
	(__tcsetattr): Modified function.
	(static_assert_equal): New function.
	(static_assert_equal): New function.
	(static_assert_equal): New function.
	* sysdeps/unix/sysv/linux/termios-kernel-consts.sym: New file.
	* sysdeps/unix/sysv/linux/termios_arch.h: Delete file.
	* sysdeps/unix/sysv/linux/termios_internals.h: Modified.
	[! TCGETS2](TCGETS2): Remove.
	[! TCGETS2](TCSETS2): Remove.
	[! TCGETS2](TCSETSW2): Remove.
	[! TCGETS2](TCSETSF2): Remove.
	[! _HAVE_STRUCT_OLD_TERMIOS](OLD_NCCS): Remove.
	[! _HAVE_STRUCT_OLD_TERMIOS](old_termios_t): Remove.
	[!__ASSUME_TERMIOS2](TCGETS2): Remove.
	[_HAVE_STRUCT_OLD_TERMIOS](old_termios_t): Remove.
	(termios_arch.h): Remove include.
	(termios2): Modified.
	[! __ASSUME_TERMIOS2](ARCH_TCGETS): New.
	[__ASSUME_TERMIOS2](ARCH_TCGETS): New.
	(termios-kernel-consts.h): Include file.
	(old_termios.h): Include file.

2025-07-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 02e7ac5ee3c6d2ef20c024ea7c243d0ae8496608
	termios: Move isatty, __isatty_nostatus from io

	* io/Makefile: Modified.
	* io/Versions: Modified.
	* termios/Makefile: Modified.
	* termios/Versions: Modified.
	* io/isatty.c: Move to...
	* termios/isatty.c: ... here.
	* io/isatty_nostatus.c: Move to...
	* termios/isatty_nostatus.c: ... here.

2025-07-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c5687b4c49a91c5d9826959da2edcc7cdeec1273
	termios: Reflow and sort Makefile

	* termios/Makefile: Modified.

2025-07-10  Andreas Schwab  <schwab@suse.de>

	COMMIT: d6c2760ef7f7cdeab912767f04db4b14632fbb5f
	Remove termios2 ioctl defintions from public headers

	* sysdeps/unix/sysv/linux/powerpc/bits/ioctls.h: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/termios_arch.h: Modified.
	[! TERMIOS_INTERNALS_H](<termios_arch.h> should only be included from <termios_internals.h>"): Remove.
	(TCGETS2): New.
	(TCSETS2): New.
	(TCSETSW2): New.
	(TCSETSF2): New.

2025-07-09  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: c559a6190e397b315fdd98d9369f15d2914d8248
	elf: Remove now pointless empty ld.so.conf files in single tests

	* elf/tst-glibc-hwcaps-2-cache.root/etc/ld.so.conf: Delete file.
	* elf/tst-glibc-hwcaps-cache.root/etc/ld.so.conf: Delete file.
	* elf/tst-ldconfig-bad-aux-cache.root/etc/ld.so.conf: Delete file.

2025-07-09  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: dbe5065f2166be20e57a24f246a40d50e001a05d
	support: Always run ldconfig in containered tests

	* support/test-container.c: Modified.
	(main): Modified function.

2025-07-09  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: ae589cb84df10825fc545a45c7007a5f79409bf1
	Makefile: Add ld.so.conf with libgcc dir to testroot.pristine

	* Makefile: Modified.

2025-07-09  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: cf462982ac44bf0f5dfd36a9c242628f0d2970b9
	Makeconfig: Add libgcc directory to rtld-prefix search path

	* Makeconfig: Modified.

2025-07-09  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 30c7cf66b80f718a819609441ec4f68c9b0b4a9e
	NEWS: Mention changes to setjmp on aarch64

	* NEWS: Modified.

2025-07-09  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 77438db8cfa6ee66b3906230156bdae11c49a195
	Mark support for lock elision as deprecated.

	* NEWS: Modified.

2025-07-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7130c2ae972b3c521e2795af6935982a4f078850
	x86: Avoid vector/r16-r31 registers and memcpy/memset in mcount_internal

	* gmon/Makefile: Modified.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86_64/Makefile: Modified.

2025-07-08  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: f33bb123660a51e833b9ed07d8306852028ba7f6
	NEWS: Mention tcache improvements

	* NEWS: Modified.

2025-07-08  Matteo Croce  <teknoraver@meta.com>

	COMMIT: 521b4d6c4d5a7c84efd2742e0aac6311eaef005b
	fstat: add test and documentation for an edge case.

	* io/tst-stat.c: Modified.
	(do_test): Modified function.
	(fstatat_link): New function.
	* manual/filesys.texi: Modified.

2025-07-08  Matteo Croce  <teknoraver@meta.com>

	COMMIT: 652c36b3ea917093bf60ad2a345987530c192821
	fstatat: extend tests and documentation

	* io/tst-stat-time64.c: Modified.
	(fstatat_check): Modified function.
	* io/tst-stat.c: Modified.
	(fstatat_check): Modified function.
	* manual/filesys.texi: Modified.

2025-07-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6afece738c2b8408585272a95090ce5d5345dd19
	htl: move __pthread_get_cleanup_stack to libc

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(FORWARD2): Remove.
	* htl/pt-cleanup.c: Modified.
	(__pthread_get_cleanup_stack): Remove function.
	(hidden_def): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(___pthread_get_cleanup_stack): New function.
	(versioned_symbol): New function.
	(libc_hidden_ver): New.
	* htl/pt-initialize.c: Modified.
	* sysdeps/htl/include/bits/cancelation.h: New file.
	* sysdeps/htl/libc-lock.h: Modified.
	[!IS_IN (libpthread)][weak_extern](weak_extern): Remove.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_get_cleanup_stack): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	[IS_IN (libpthread)](hidden_proto): Remove.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-07-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: b80f108b55c363875ece6f2329d9a8ba01649c70
	htl: Drop ptr_pthread_once from pthread_functions

	* htl/pt-initialize.c: Modified.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_once): Remove.
	(pthread_functions): Modified.

2025-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ea85e7d55087075376a29261e722e4fae14ecbe7
	elf: Restore support for _r_debug interpositions and copy relocations

	* elf/Makefile: Modified.
	* elf/dl-debug-symbols.S: Modified.
	* elf/dl-debug.c: Modified.
	[SHARED](get_rdebug): Modified function.
	[SHARED](_r_debug_main): New.
	[SHARED](_dl_debug_post_relocate): New function.
	(_dl_debug_change_state): Modified function.
	(_dl_debug_initialize): Modified function.
	(assert.h): Include file.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/tst-dlmopen4-nonpic.c: New file.
	* elf/tst-dlmopen4-pic.c: New file.
	* elf/tst-dlmopen4.c: Modified.
	(do_test): Modified function.
	* include/link.h: Modified.
	[! _ISOMAC](rtld_hidden_proto): New.
	* sysdeps/generic/ldsodefs.h: Modified.
	(_dl_debug_post_relocate): New function.

2025-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8329939a37f483a16013dd8af8303cbcb86d92cb
	elf: Introduce _dl_debug_change_state

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	* elf/dl-debug.c: Modified.
	(_dl_debug_change_state): New function.
	* elf/dl-load.c: Modified.
	(_dl_notify_new_object): Modified function.
	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.
	(_dl_open): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	(_dl_debug_change_state): New function.

2025-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7278d11f3a0cd528188c719bab75575b0aea2c6e
	elf: Introduce separate _r_debug_array variable

	* elf/dl-debug.c: Modified.
	(_dl_debug_update): Modified function.
	(_dl_debug_initialize): Modified function.
	[! SHARED](get_rdebug): New.
	[SHARED](get_rdebug): New.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global): Modified.

2025-07-05  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 21cbe4a58858441b3d6d459ec98cf9bd8f54af95
	hurd: Mark more xfails for missing RLIMIT_AS support

	* sysdeps/mach/hurd/Makefile: Modified.

2025-07-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1c5f2ae4f98eb02fabab9f7f2b22ef6d23e85edc
	Linux: Fix typo in comment in termios_internals.h

	* sysdeps/unix/sysv/linux/termios_internals.h: Modified.

2025-07-03  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 4900f993c8119b8482ba9ba0387418b7e05c5c02
	manual: Remove '.info' suffix in manual names passed to @ref [BZ #32962].

	* manual/intro.texi: Modified.
	* manual/maint.texi: Modified.
	* manual/stdio.texi: Modified.

2025-07-02  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 7eed691cc2b6c5dbb6066ee1251606a744c7f05c
	stdlib/Makefile: Remove deleted test's libm dependency

	* stdlib/Makefile: Modified.

2025-07-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 632d895f3e5d98162f77b9c3c1da4ec19968b671
	elf: Add DL_ADDRESS_WITHOUT_RELOC [BZ #33088]

	* elf/rtld.c: Modified.
	[! DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	[DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	* include/elf.h: Modified.
	[! _ISOMAC][! HIDDEN_VAR_NEEDS_DYNAMIC_RELOC](DL_ADDRESS_WITHOUT_RELOC): New.
	[! _ISOMAC][HIDDEN_VAR_NEEDS_DYNAMIC_RELOC](DL_ADDRESS_WITHOUT_RELOC): New.

2025-06-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Carlos O'Donell  <carlos@redhat.com>

	COMMIT: eeb7b079d5d8785e760ca08c3692ffa579bbb737
	stdlib: Fix __libc_message_impl iovec size (BZ 32947)

	* include/stdio.h: Modified.
	[! _ISOMAC](IOVEC_MAX_ERR_MSG): New.
	[! _ISOMAC](IOVEC_MAX_ERR_MSG_LEN): New.
	* posix/Makefile: Modified.
	* posix/tst-libc-message.c: New file.
	* sysdeps/posix/libc_fatal.c: Modified.
	(atomic.h): Remove include.
	(errno.h): Remove include.
	(fcntl.h): Remove include.
	(libc-pointer-arith.h): Remove include.
	(paths.h): Remove include.
	(stdbool.h): Remove include.
	(stdlib.h): Remove include.
	(string.h): Remove include.
	(sysdep.h): Remove include.
	(sys/mman.h): Remove include.
	(not-cancel.h): Remove include.
	(__libc_message_impl): Modified function.
	(assert.h): Include file.
	(IOVEC_MAX): New.

2025-06-30  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 681a24ae4d0cb8ed92de98b4da660308840b09ba
	AArch64: Avoid memset ifunc in cpu-features.c [BZ #33112]

	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(dl-symbol-redir-ifunc.h): Include file.

2025-06-26  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 1061b754123dea4b02197793436931172d523c78
	malloc: Cleanup tcache_init()

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_malloc): Modified.
	[USE_TCACHE](tcache_init): Modified function.

2025-06-26  William Hunt  <William.Hunt@arm.com>

	COMMIT: 9a5a7613acd7641ca4dd3c405922b7c8fbc2ec03
	malloc: replace instances of __builtin_expect with __glibc_unlikely

	* malloc/malloc-debug.c: Modified.
	(__debug_malloc): Modified function.
	(__debug_free): Modified function.
	(__debug_realloc): Modified function.
	(_debug_mid_memalign): Modified function.
	(__debug_calloc): Modified function.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_realloc): Modified function.
	[IS_IN (libc)](__libc_calloc2): Modified function.
	(unlink_chunk): Modified function.
	(_int_malloc): Modified function.
	(_int_free_chunk): Modified function.
	(_int_free_merge_chunk): Modified function.
	(_int_realloc): Modified function.

2025-06-26  William Hunt  <william.hunt@arm.com>

	COMMIT: d1ad959b003bae1eb2a5a5fe1acb7c889600e506
	malloc: refactored aligned_OK and misaligned_chunk

	* malloc/malloc-check.c: Modified.
	(mem2chunk_check): Modified function.
	* malloc/malloc.c: Modified.
	[HAVE_MREMAP](mremap_chunk): Modified function.
	[MALLOC_DEBUG](do_check_chunk): Modified function.
	[MALLOC_DEBUG](do_check_free_chunk): Modified function.
	[MALLOC_DEBUG](do_check_remalloced_chunk): Modified function.
	[USE_TCACHE](tcache_get_n): Modified function.
	[USE_TCACHE](tcache_double_free_verify): Modified function.
	[USE_TCACHE](tcache_thread_shutdown): Modified function.
	(aligned_OK): Remove.
	(misaligned_chunk): Modified.
	(misaligned_mem): New.

2025-06-26  Jitka Obselkova  <jobselko@redhat.com>

	COMMIT: 53ea6db9fd25af7486b14cd2bf3b0ae1046e0e98
	manual: Clarify renameat documentation

	* manual/filesys.texi: Modified.

2025-06-26  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1149b4f64fea6e07e84e285981b84c8ccaccb025
	Revert "manual: Clarify renameat documentation"

	* manual/filesys.texi: Modified.

2025-06-26  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d30f41d2c9031b0540641af692e56002eab5599f
	elf: Add missing DSO dependencies for tst-rtld-no-malloc-{audit,preload}

	* elf/Makefile: Modified.

2025-06-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 79bfbc93dee68830dd3b1d2b3453cf3811df6944
	powerpc: Remove modf optimization

	* sysdeps/powerpc/fpu/math-use-builtins-trunc.h: Modified.
	[! _ARCH_PWR5X](USE_TRUNC_BUILTIN): New.
	[_ARCH_PWR5X](USE_TRUNC_BUILTIN): New.
	(USE_TRUNC_BUILTIN): Remove.
	* sysdeps/powerpc/fpu/s_modf.c: Delete file.
	* sysdeps/powerpc/powerpc32/power4/fpu/multiarch/s_modf-power5+.c: Modified.
	(sysdeps/powerpc/fpu/s_modf.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_modf.c): Include file.
	* sysdeps/powerpc/powerpc64/be/fpu/multiarch/s_modf-power5+.c: Modified.
	(sysdeps/powerpc/fpu/s_modf.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_modf.c): Include file.

2025-06-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5c2b21c478068f4f3140b020416dccdead1401e6
	powerpc: Remove modff optimization

	* sysdeps/ieee754/flt-32/s_modff.c: Modified.
	* sysdeps/powerpc/fpu/math-use-builtins-trunc.h: New file.
	* sysdeps/powerpc/fpu/s_modff.c: Delete file.
	* sysdeps/powerpc/powerpc32/power4/fpu/multiarch/s_modff-power5+.c: Modified.
	(sysdeps/powerpc/fpu/s_modff.c): Remove include.
	(sysdeps/ieee754/flt-32/s_modff.c): Include file.
	* sysdeps/powerpc/powerpc64/be/fpu/multiarch/s_modff-power5+.c: Modified.
	(sysdeps/powerpc/fpu/s_modff.c): Remove include.
	(sysdeps/ieee754/flt-32/s_modff.c): Include file.

2025-06-25  Ravina Jain  <rajulravina123@gmail.com>

	COMMIT: b2a8d19f4adc8ca22394b02c144b4bc867adc804
	manual: Add missing free to open_memstream example [BZ #27866]

	* manual/examples/memstrm.c: Modified.
	(main): Modified function.
	(stdlib.h): Include file.

2025-06-24  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 36bcbc6b5bb81eab436c7ed82348a25c4a34fa73
	Linux: Convert '__close_nocancel_nostatus' to a standalone handler

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/close_nocancel_nostatus.c: New file.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): Modified.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): New.
	(__close_nocancel_nostatus): Remove function.
	(__close_nocancel_nostatus): New function.

2025-06-24  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 3b0d495ac406f14131d299e933b49bfdd02bf626
	Linux: Fix '__close_nocancel_nostatus' clobbering 'errno' [BZ #33035]

	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	(__close_nocancel_nostatus): Modified function.

2025-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: db94e6343ad03252a9e59df56614118fb7267ff8
	inet: Implement inet_ntoa on top of inet_ntop

	* inet/inet_ntoa.c: Modified.
	(buffer): Modified.
	(inet_ntoa): Modified function.

2025-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 80f389ed7e684582439629b264c22a84c26bfd8e
	resolv: Optimize inet_ntop

	* resolv/inet_ntop.c: Modified.
	[! SPRINTF_CHAR](SPRINTF): Remove.
	[SPRINTF_CHAR](SPRINTF): Remove.
	(sys/param.h): Remove include.
	(sys/types.h): Remove include.
	(sys/socket.h): Remove include.
	(netinet/in.h): Remove include.
	(stdio.h): Remove include.
	(inet_ntop4): Remove.
	(inet_ntop6): Remove.
	(inet_ntop4): Modified function.
	(inet_ntop6): Modified function.
	(_itoa.h): Include file.
	(put_uint8): New function.
	(put_uint16): New function.
	(inet_ntop4_format): New function.
	(best_t): New.
	(in6_addr_addr16): New function.
	(inet_ntop6_format): New function.

2025-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f22f6a5b84aeb6a958f1d7c4b7e7262018af22ad
	resolve: Proper indent resolv/inet_ntop.c

	* resolv/inet_ntop.c: Modified.
	[! SPRINTF_CHAR](SPRINTF): Modified.
	[SPRINTF_CHAR](SPRINTF): Modified.
	(__inet_ntop): Modified function.
	(inet_ntop4): Modified function.
	(inet_ntop6): Modified function.

2025-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 14ca258cc566fd15fa4251baa45abd873fa8b230
	benchtests: Add IPv6 inet_ntop benchmark

	* benchtests/Makefile: Modified.
	* benchtests/inet_ntop_ipv6-inputs: New file.
	* benchtests/inet_ntop_ipv6-source.c: New file.

2025-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e6ad9650fbed02f167a90cd6554a7599356317cc
	benchtests: Add IPv4 inet_ntop benchmark

	* benchtests/Makefile: Modified.
	* benchtests/inet_ntop_ipv4-inputs: New file.
	* benchtests/inet_ntop_ipv4-source.c: New file.

2025-06-23  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: fc6f074e0496fb8a8df491641165f4ed3cdaa3a3
	riscv: linux: Add support for getrandom vDSO

	* sysdeps/unix/sysv/linux/riscv/sysdep.h: Modified.
	[! __ASSEMBLER__][__WORDSIZE == 64](HAVE_GETRANDOM_VSYSCALL): New.

2025-06-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 47b577c66f2f51305d1802195f868d6b43e6d84a
	posix: Fix fnmatch build with gcc-16

	* posix/fnmatch_loop.c: Modified.
	(FCT): Modified function.

2025-06-23  Andreas Schwab  <schwab@suse.de>

	COMMIT: 9b3730a54bf8c915a65d9ff5e875d3551c30a435
	powerpc: use .machine power10 in POWER10 assembler sources

	* sysdeps/powerpc/powerpc64/le/power10/memcmp.S: Modified.
	* sysdeps/powerpc/powerpc64/le/power10/memcpy.S: Modified.
	* sysdeps/powerpc/powerpc64/le/power10/memmove.S: Modified.
	* sysdeps/powerpc/powerpc64/le/power10/memset.S: Modified.
	* sysdeps/powerpc/powerpc64/le/power10/strlen.S: Modified.

2025-06-21  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: b3b0d0308c95d213f019b19c33abf1b06911f528
	hurd: Remove a duplicate entry from 'tests-unsupported'.

	* sysdeps/mach/hurd/Makefile: Modified.

2025-06-21  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 5071149e89867070f692d89d75be5d7449294d1c
	hurd: Fix redefinition of 'P2ALIGN'.

	* sysdeps/mach/sysdep.h: Modified.
	[__ASSEMBLER__](P2ALIGN): New.

2025-06-19  Martin Coufal  <mcoufal@redhat.com>

	COMMIT: 69f8b3e7deaca579511957959f8a7676a7428f49
	resource/Makefile: Split and sort tests

	* resource/Makefile: Modified.

2025-06-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 124bf1fb6b85e201275764c8f5d046861eb6ed65
	malloc: Link large tcache tests with $(shared-thread-library)

	* malloc/Makefile: Modified.

2025-06-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0ef7965e5b251473f7d451739324c45b0fefaf1a
	x86: Update tst-gnu2-tls2 tests

	* elf/tst-gnu2-tls2.c: Modified.
	(tst-gnu2-tls2.h): Modified.
	(access_mod): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/Makefile: Modified.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-gnu2-tls2-x86-noxsave.c: Modified.
	(elf/tst-gnu2-tls2.c): Remove include.
	(tst-gnu2-tls2.c): Include file.
	* sysdeps/x86/tst-gnu2-tls2-x86-noxsavec.c: Modified.
	(elf/tst-gnu2-tls2.c): Remove include.
	(tst-gnu2-tls2.c): Include file.
	* sysdeps/x86/tst-gnu2-tls2-x86-noxsavexsavec.c: Modified.
	(elf/tst-gnu2-tls2.c): Remove include.
	(tst-gnu2-tls2.c): Include file.
	* sysdeps/x86/tst-gnu2-tls2.c: Modified.
	[! __x86_64__](sys/platform/x86.h): Remove.
	[! __x86_64__](IS_SUPPORTED): Remove.
	(PREPARE_MALLOC): Remove.
	[! TEST_AMX][! __x86_64__](sys/platform/x86.h): New.
	[! TEST_AMX][! __x86_64__](IS_SUPPORTED): New.
	[! TEST_AMX](PREPARE_MALLOC): New.
	[! TEST_AMX](v3): New.
	* sysdeps/x86/tst-gnu2-tls2.h: New file.

2025-06-19  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 848f0e46f03f22404ed9a8aabf3fd5ce8809a1be
	i386: Update ___tls_get_addr to preserve vector registers

	* configure: Modified.
	* configure.ac: Modified.
	* elf/Makefile: Modified.
	* elf/tst-tls23-mod.c: New file.
	* elf/tst-tls23.c: New file.
	* sysdeps/x86_64/dl-trampoline-save.h: Move to...
	* elf/tst-tls23.h: ... here.
	[! DL_STACK_ALIGNMENT](DL_STACK_ALIGNMENT): Remove.
	(DL_RUNTIME_RESOLVE_REALIGN_STACK): Remove.
	[! AFTER_TLS_CALL](AFTER_TLS_CALL): New.
	[! BEFORE_TLS_CALL](BEFORE_TLS_CALL): New.
	[! INIT_TLS_CALL](INIT_TLS_CALL): New.
	(stdint.h): Include file.
	(tls): New.
	(apply_tls): New function.
	* sysdeps/aarch64/preconfigure: Modified.
	* sysdeps/i386/Makefile: Modified.
	* sysdeps/i386/dl-tls-get-addr.c: New file.
	* sysdeps/i386/dl-tls.h: Modified.
	[SHARED][IS_IN (rtld)](__tls_get_addr): Remove function.
	[SHARED][IS_IN (rtld)](__tls_get_addr): Modified.
	[SHARED][IS_IN (rtld)](strong_alias): Remove.
	[SHARED][IS_IN (rtld)](rtld_hidden_proto): Remove.
	[SHARED][IS_IN (rtld)](rtld_hidden_def): Remove.
	[SHARED](___tls_get_addr_internal): Remove.
	* sysdeps/i386/dl-tlsdesc-dynamic.h: Modified.
	[! DL_RUNTIME_RESOLVE_REALIGN_STACK][! USE_FNSAVE][! USE_FXSAVE](USE_FXSAVE must be defined): Remove.
	[! DL_RUNTIME_RESOLVE_REALIGN_STACK][! USE_FNSAVE](REGISTER_SAVE_AREA): Remove.
	[! DL_RUNTIME_RESOLVE_REALIGN_STACK][REGISTER_SAVE_AREA][! DL_RUNTIME_RESOLVE_REALIGN_STACK][!DL_RUNTIME_RESOLVE_REALIGN_STACK](DL_RUNTIME_RESOLVE_REALIGN_STACK must be true): Remove.
	[! DL_RUNTIME_RESOLVE_REALIGN_STACK][REGISTER_SAVE_AREA][! DL_RUNTIME_RESOLVE_REALIGN_STACK][DL_RUNTIME_RESOLVE_REALIGN_STACK][! USE_FXSAVE][! USE_XSAVE][! USE_XSAVE][! USE_FXSAVE][! DL_RUNTIME_RESOLVE_REALIGN_STACK](STATE_SAVE_ALIGNMENT): Remove.
	[! DL_RUNTIME_RESOLVE_REALIGN_STACK][USE_FNSAVE](REGISTER_SAVE_AREA): Remove.
	[! USE_FNSAVE && (STATE_SAVE_ALIGNMENT % 16) != 0](STATE_SAVE_ALIGNMENT must be multiple of 16): Remove.
	[DL_RUNTIME_RESOLVE_REALIGN_STACK][USE_FNSAVE](USE_FNSAVE shouldn't be defined): Remove.
	[DL_RUNTIME_RESOLVE_REALIGN_STACK][USE_FXSAVE](REGISTER_SAVE_AREA): Remove.
	(REGISTER_SAVE_AREA): Remove.
	(tls-get-addr-wrapper.h): Include file.
	(STATE_SAVE_ALIGNMENT): New.
	* sysdeps/i386/dl-tlsdesc.S: Modified.
	* sysdeps/i386/tls-get-addr-wrapper.h: New file.
	* sysdeps/i386/tls_get_addr.S: New file.
	* sysdeps/i386/tls_get_addr.h: New file.
	* sysdeps/loongarch/preconfigure: Modified.
	* sysdeps/loongarch/preconfigure.ac: Modified.
	* sysdeps/powerpc/Makefile: Modified.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/sysdep.h: Modified.
	[__ASSEMBLER__][! DL_STACK_ALIGNMENT][! __x86_64__](DL_STACK_ALIGNMENT): New.
	[__ASSEMBLER__][! DL_STACK_ALIGNMENT][__x86_64__](DL_STACK_ALIGNMENT): New.
	[__ASSEMBLER__][! DL_STACK_ALIGNMENT][__x86_64__](MINIMUM_ALIGNMENT): New.
	[__ASSEMBLER__](DL_RUNTIME_RESOLVE_REALIGN_STACK): New.
	* sysdeps/x86/tst-tls23.c: New file.
	* sysdeps/x86/tst-tls23.h: New file.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/dl-tlsdesc.S: Modified.
	* sysdeps/x86_64/dl-trampoline.S: Modified.

2025-06-18  Jitka Obselkova  <jobselko@redhat.com>

	COMMIT: abc2e954af77f8d10f4f54754520814590e79830
	manual: Clarify renameat documentation

	* manual/filesys.texi: Modified.

2025-06-18  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: c3b9abaf33082c89ff385b378e083aad1255f508
	posix: Add nonnull attribute to glob_pattern_p.

	* posix/glob.h: Modified.
	[__USE_GNU](glob_pattern_p): Modified.

2025-06-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f165e244e4c72493cf52cd6c98f989321f29c677
	math: Simplify and optimize modf implementation

	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	(EXPONENT_BIAS): New.
	(is_inf): New function.
	(get_exponent): New function.
	* sysdeps/ieee754/dbl-64/s_modf.c: Modified.
	(math_private.h): Remove include.
	(stdint.h): Remove include.
	(one): Remove.
	(__modf): Modified function.
	(math_config.h): Include file.
	(math-use-builtins-trunc.h): Include file.

2025-06-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 61cc9922f3cdcd71ed8977016b8180d409826240
	math: Simplify and optimize modff implementation

	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	(EXPONENT_BIAS): New.
	(is_inf): New function.
	(get_exponent): New function.
	* sysdeps/ieee754/flt-32/s_modff.c: Modified.
	(math_private.h): Remove include.
	(one): Remove.
	(__modff): Modified function.
	(math_config.h): Include file.
	(math-use-builtins-trunc.h): Include file.

2025-06-18  Luna Lamb  <luna.lamb@arm.com>

	COMMIT: 6849c5b791edd216f2ec3fdbe4d138bc69b9b333
	AArch64: Improve codegen SVE log1p helper

	* sysdeps/aarch64/fpu/acosh_sve.c: Modified.
	* sysdeps/aarch64/fpu/atanh_sve.c: Modified.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/sv_log1p_inline.h: Modified.
	(poly_sve_f64.h): Remove include.
	(sv_log1p_data): Modified.
	(sv_log1p_inline): Modified function.

2025-06-18  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: dee22d2a81ab59afc165fb6dcb45d723f13582a0
	AArch64: Optimise SVE FP64 Hyperbolics

	* sysdeps/aarch64/fpu/cosh_sve.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(exp_inline): Remove function.
	(SV_NAME_D1): Modified function.
	(exp_over_two_inline): New function.
	* sysdeps/aarch64/fpu/sinh_sve.c: Modified.
	(poly_sve_f64.h): Remove include.
	(data): Modified.
	(expm1_inline): Modified function.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/tanh_sve.c: Modified.
	(poly_sve_f64.h): Remove include.
	(data): Modified.
	(expm1_inline): Remove function.
	(special_case): Remove function.
	(SV_NAME_D1): Modified function.
	(e2xm1_inline): New function.

2025-06-18  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: 1e3d1ddf977ecd653de8d0d10eb083d80ac21cf3
	AArch64: Optimize SVE exp functions

	* sysdeps/aarch64/fpu/exp10f_sve.c: Modified.
	(Thres): Modified.
	(data): Modified.
	(sv_exp10f_inline): Modified function.
	* sysdeps/aarch64/fpu/exp2_sve.c: Modified.
	(N): Remove.
	(data): Modified.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/exp2f_sve.c: Modified.
	(poly_sve_f32.h): Remove include.
	(data): Modified.
	(sv_exp2f_inline): Modified function.
	* sysdeps/aarch64/fpu/expm1_sve.c: Modified.
	(poly_sve_f64.h): Remove include.
	(SpecialBound): Modified.
	(ExponentBias): Remove.
	(data): Modified.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	(FexpaBound): New.
	(SpecialOffset): New.
	(SpecialBias1): New.
	(SpecialBias2): New.

2025-06-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8788bd77d68c6429c7f2dcbd22765525555c3cd8
	sparc: Fix sparc32 Fix argument passing to __libc_start_main (BZ 32981)

	* sysdeps/sparc/sparc32/start.S: Modified.

2025-06-18  Andreas Schwab  <schwab@suse.de>

	COMMIT: 0dbbc44bfd256683705c391d97c4052320e2e64e
	Fix termios related targets

	* sysdeps/unix/sysv/linux/Makefile: Modified.

2025-06-18  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: ba32fd7d0479bd566db63e43ab1050ad20ca7a29
	malloc: Cleanup _mid_memalign

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](_mid_memalign): Modified.
	[IS_IN (libc)](__libc_memalign): Modified function.
	[IS_IN (libc)](aligned_alloc): Modified function.
	[IS_IN (libc)](_mid_memalign): Modified function.
	[IS_IN (libc)](__libc_valloc): Modified function.
	[IS_IN (libc)](__libc_pvalloc): Modified function.
	[IS_IN (libc)](__posix_memalign): Modified function.

2025-06-18  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: c0f0db2d59e0908057205b22b21dd9d626d780c1
	aarch64: simplify calls to __libc_arm_za_disable in assembly

	* sysdeps/aarch64/__longjmp.S: Modified.
	* sysdeps/aarch64/setjmp.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/setcontext.S: Modified.

2025-06-18  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: eeedfc2f74463a06e8127dde42531913652371f8
	aarch64: GCS: use internal struct in __alloc_gcs

	* sysdeps/aarch64/__alloc_gcs.c: Modified.
	(__alloc_gcs): Modified function.
	(aarch64-gcs.h): Include file.
	* sysdeps/aarch64/aarch64-gcs.h: Modified.
	(__alloc_gcs): Modified.
	(gcs_record): New.
	(has_gcs): New function.
	* sysdeps/unix/sysv/linux/aarch64/makecontext.c: Modified.
	(alloc_makecontext_gcs): Modified function.

2025-06-18  Andreas Schwab  <schwab@suse.de>

	COMMIT: eae5bb0f60205e6f709803cc6bba749daf5ece72
	powerpc: Remove assembler workarounds

	* sysdeps/powerpc/powerpc64/le/power10/memcmp.S: Modified.
	* sysdeps/powerpc/powerpc64/le/power10/strlen.S: Modified.
	* sysdeps/powerpc/powerpc64/le/power9/strcmp.S: Modified.
	* sysdeps/powerpc/powerpc64/le/power9/strncmp.S: Modified.

2025-06-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c274c3c07f216791d2065e653e418eb36c6dcaca
	malloc: Fix tests-malloc-largetcache tests

	* Rules: Modified.

2025-06-17  Jeremy Harris  <jgh@exim.org>

	COMMIT: 9f680bfe9b5c8657baf1fd0fb99e968d0b03e92e
	Add TCPI_OPT_USEC_TS from Linux 6.14 and TCPI_OPT_TFO_CHILD from 6.15 to netinet/tcp.h.

	* sysdeps/gnu/netinet/tcp.h: Modified.
	[__USE_MISC](TCPI_OPT_USEC_TS): New.
	[__USE_MISC](TCPI_OPT_TFO_CHILD): New.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: 964cf50bef075f4cb7b625513407ca9d29faff3e
	linux/termios: regression test for termios speed functions

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-termios-linux.c: New file.

2025-06-17  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: c66801f36135a7b031ca37e25a35e98255b20def
	include/array_length.h: add array_foreach[_const] macros

	* include/array_length.h: Modified.
	(array_foreach): New.
	(array_foreach_const): New.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: be413adedfca146a6fb8cabe3df1244a70f106f3
	termios: unify the naming of the termios speed fields

	* bits/termios.h: Modified.
	(termios): Modified.
	* sysdeps/unix/sysv/linux/alpha/bits/termios-struct.h: Modified.
	(termios): Modified.
	* sysdeps/unix/sysv/linux/bits/termios-struct.h: Modified.
	(termios): Modified.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: 5f138519ebdf88e1fc5395d65df0b780dd07829a
	termios: add new baud_t interface, defined to be explicitly numeric

	* include/termios.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__cfgetospeed): New function.
	[! _ISOMAC](__cfgetispeed): New function.
	[! _ISOMAC](__cfsetospeed): New function.
	[! _ISOMAC](__cfsetispeed): New function.
	[! _ISOMAC](__cfsetspeed): New function.
	[! _ISOMAC](__cfgetobaud): New function.
	[! _ISOMAC](__cfgetibaud): New function.
	[! _ISOMAC](__cfsetobaud): New function.
	[! _ISOMAC](__cfsetibaud): New function.
	[! _ISOMAC](__cfsetbaud): New function.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* manual/terminal.texi: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/cfsetspeed.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/speed.c: Modified.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* termios/Makefile: Modified.
	* termios/Versions: Modified.
	* termios/baud.c: New file.
	* termios/cfsetbaud.c: New file.
	* termios/cfsetspeed.c: Modified.
	(cfsetspeed): Remove function.
	(__cfsetspeed): New function.
	(libc_hidden_def): New.
	(weak_alias): New.
	* termios/speed.c: Modified.
	(cfgetospeed): Remove function.
	(cfgetispeed): Remove function.
	(cfsetospeed): Remove function.
	(libc_hidden_def): Modified.
	(cfsetispeed): Remove function.
	(libc_hidden_def): Modified.
	(__cfgetospeed): New function.
	(weak_alias): New.
	(__cfgetispeed): New function.
	(weak_alias): New.
	(__cfsetospeed): New function.
	(libc_hidden_def): New.
	(weak_alias): New.
	(__cfsetispeed): New function.
	(libc_hidden_def): New.
	(weak_alias): New.
	* termios/termios.h: Modified.
	[__USE_MISC](baud_t): New.
	[__USE_MISC](cfgetobaud): New function.
	[__USE_MISC](cfgetibaud): New function.
	[__USE_MISC](cfsetobaud): New function.
	[__USE_MISC](cfsetibaud): New function.
	[__USE_MISC](cfsetbaud): New function.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: 98aeca349ae081d745978d7fe9bc5762137f8ece
	manual: document all the termios Bxxx constants in the manual

	* manual/terminal.texi: Modified.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: ad37ecd5791dbb47844b58574f32ab1ef2739275
	termios: merge the termios baud definitions

	* sysdeps/unix/sysv/linux/bits/termios-baud.h: Move to...
	* bits/termios-baud.h: ... here.
	(B0): Modified.
	(B50): Modified.
	(B75): Modified.
	(B110): Modified.
	(B134): Modified.
	(B150): Modified.
	(B200): Modified.
	(B300): Modified.
	(B600): Modified.
	(B1200): Modified.
	(B1800): Modified.
	(B2400): Modified.
	(B4800): Modified.
	(B7200): Modified.
	(B9600): Modified.
	(B14400): Modified.
	(B19200): Modified.
	(B28800): Modified.
	(B33600): Modified.
	(B38400): Modified.
	(B57600): Modified.
	(B76800): Modified.
	(B115200): Modified.
	(B153600): Modified.
	(B230400): Modified.
	(B307200): Modified.
	(B460800): Modified.
	(B500000): Modified.
	(B576000): Modified.
	(B614400): Modified.
	(B921600): Modified.
	[__USE_MISC](EXTA): New.
	[__USE_MISC](EXTB): New.
	(B5000000): New.
	(B10000000): New.
	* bits/termios.h: Modified.
	(termios): Modified.
	(bits/termios-baud.h): Include file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/termios.h: Modified.
	[__USE_MISC](EXTA): Remove.
	[__USE_MISC](EXTB): Remove.
	[__USE_MISC](__B0): New.
	[__USE_MISC](__B50): New.
	[__USE_MISC](__B75): New.
	[__USE_MISC](__B110): New.
	[__USE_MISC](__B134): New.
	[__USE_MISC](__B150): New.
	[__USE_MISC](__B200): New.
	[__USE_MISC](__B300): New.
	[__USE_MISC](__B600): New.
	[__USE_MISC](__B1200): New.
	[__USE_MISC](__B1800): New.
	[__USE_MISC](__B2400): New.
	[__USE_MISC](__B4800): New.
	[__USE_MISC](__B9600): New.
	[__USE_MISC](__B19200): New.
	[__USE_MISC](__B38400): New.
	[__USE_MISC](bits/termios-cbaud.h): Include file.
	[__USE_MISC](__EXTA): New.
	[__USE_MISC](__EXTB): New.
	(__B0): Remove.
	(__B50): Remove.
	(__B75): Remove.
	(__B110): Remove.
	(__B134): Remove.
	(__B150): Remove.
	(__B200): Remove.
	(__B300): Remove.
	(__B600): Remove.
	(__B1200): Remove.
	(__B1800): Remove.
	(__B2400): Remove.
	(__B4800): Remove.
	(__B9600): Remove.
	(__B19200): Remove.
	(__B38400): Remove.
	(bits/termios-cbaud.h): Remove include.
	* termios/Makefile: Modified.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: bbbaf50b2a340d6913b8ad8a840dd2d66874c62b
	hurd+generic/termios: make speed_t an unsigned int

	* bits/termios.h: Modified.
	(speed_t): Modified.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: de730d3d2d9131398e56f69228d46d895f126a60
	termios: change the generic cfsetspeed() to support arbitrary speeds

	* termios/cfsetspeed.c: Modified.
	(speed_struct): Remove.
	(speeds): Remove.
	(cfsetspeed): Modified function.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: bff11c2fa945814101c08c66f8c55212ae788075
	hurd/termios: remove USE_OLD_TTY

	* sysdeps/mach/hurd/bits/ioctls.h: Modified.
	[__USE_MISC][! USE_OLD_TTY](OTIOCGETD): Remove.
	[__USE_MISC][! USE_OLD_TTY](OTIOCSETD): Remove.
	[__USE_MISC][USE_OLD_TTY](TIOCGETD): Remove.
	[__USE_MISC][USE_OLD_TTY](TIOCSETD): Remove.
	[__USE_MISC][USE_OLD_TTY](B0): Remove.
	[__USE_MISC][USE_OLD_TTY](B50): Remove.
	[__USE_MISC][USE_OLD_TTY](B75): Remove.
	[__USE_MISC][USE_OLD_TTY](B110): Remove.
	[__USE_MISC][USE_OLD_TTY](B134): Remove.
	[__USE_MISC][USE_OLD_TTY](B150): Remove.
	[__USE_MISC][USE_OLD_TTY](B200): Remove.
	[__USE_MISC][USE_OLD_TTY](B300): Remove.
	[__USE_MISC][USE_OLD_TTY](B600): Remove.
	[__USE_MISC][USE_OLD_TTY](B1200): Remove.
	[__USE_MISC][USE_OLD_TTY](B1800): Remove.
	[__USE_MISC][USE_OLD_TTY](B2400): Remove.
	[__USE_MISC][USE_OLD_TTY](B4800): Remove.
	[__USE_MISC][USE_OLD_TTY](B9600): Remove.
	[__USE_MISC][USE_OLD_TTY](EXTA): Remove.
	[__USE_MISC][USE_OLD_TTY](EXTB): Remove.
	[__USE_MISC](OTIOCGETD): New.
	[__USE_MISC](OTIOCSETD): New.
	* termios/sys/ttychars.h: Modified.
	[__USE_OLD_TTY](sys/ttydefaults.h): Remove.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: 5cf101a85aae0d703cdd8ed7b25fe288e41fdacb
	linux: implement arbitrary and split speeds in termios

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/bits/termios-c_cflag.h: Modified.
	[__USE_MISC](CMSPAR): New.
	[__USE_MISC](CRTSCTS): New.
	* sysdeps/unix/sysv/linux/alpha/bits/termios-baud.h: Move to...
	* sysdeps/unix/sysv/linux/alpha/bits/termios-cbaud.h: ... here.
	[! _TERMIOS_H](Never include <bits/termios-baud.h> directly; use <termios.h> instead."): Remove.
	[! _TERMIOS_H](Never include <bits/termios-cbaud.h> directly; use <termios.h> instead."): New preprocessor message.
	[__USE_MISC](CBAUD): Modified.
	[__USE_MISC](CBAUDEX): Modified.
	[__USE_MISC](CMSPAR): Remove.
	[__USE_MISC](CRTSCTS): Remove.
	[__USE_MISC](CIBAUD): New.
	[__USE_MISC](IBSHIFT): New.
	(B57600): Remove.
	(B115200): Remove.
	(B230400): Remove.
	(B460800): Remove.
	(B500000): Remove.
	(B576000): Remove.
	(B921600): Remove.
	(B1000000): Remove.
	(B1152000): Remove.
	(B1500000): Remove.
	(B2000000): Remove.
	(B2500000): Remove.
	(B3000000): Remove.
	(B3500000): Remove.
	(B4000000): Remove.
	(__MAX_BAUD): Remove.
	(__B57600): New.
	(__B115200): New.
	(__B230400): New.
	(__B460800): New.
	(__B500000): New.
	(__B576000): New.
	(__B921600): New.
	(__B1000000): New.
	(__B1152000): New.
	(__B1500000): New.
	(__B2000000): New.
	(__B2500000): New.
	(__B3000000): New.
	(__B3500000): New.
	(__B4000000): New.
	(__BOTHER): New.
	* sysdeps/unix/sysv/linux/alpha/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x041400](__ASSUME_TERMIOS2): New.
	* sysdeps/unix/sysv/linux/alpha/kernel_termios.h: Delete file.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/bits/termios-struct.h: Move to...
	* sysdeps/unix/sysv/linux/alpha/termios_arch.h: ... here.
	[! _TERMIOS_H](Never include <bits/termios-struct.h> directly; use <termios.h> instead."): Remove.
	(NCCS): Remove.
	(termios): Remove.
	[! TERMIOS_INTERNALS_H](<termios_arch.h> should only be included from <termios_internals.h>"): New.
	(_TERMIOS2_NCCS): New.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): New.
	(_HAVE_STRUCT_OLD_TERMIOS): New.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/termios-baud.h: Modified.
	[__USE_MISC](CBAUD): Remove.
	[__USE_MISC](CBAUDEX): Remove.
	[__USE_MISC](CIBAUD): Remove.
	[__USE_MISC](CMSPAR): Remove.
	[__USE_MISC](CRTSCTS): Remove.
	(B57600): Modified.
	(B115200): Modified.
	(B230400): Modified.
	(B460800): Modified.
	(B500000): Modified.
	(B576000): Modified.
	(B921600): Modified.
	(B1000000): Modified.
	(B1152000): Modified.
	(B1500000): Modified.
	(B2000000): Modified.
	(B2500000): Modified.
	(B3000000): Modified.
	(B3500000): Modified.
	(B4000000): Modified.
	(__MAX_BAUD): Modified.
	(B0): New.
	(B50): New.
	(B75): New.
	(B110): New.
	(B134): New.
	(B150): New.
	(B200): New.
	(B300): New.
	(B600): New.
	(B1200): New.
	(B1800): New.
	(B2400): New.
	(B4800): New.
	(B7200): New.
	(B9600): New.
	(B14400): New.
	(B19200): New.
	(B28800): New.
	(B33600): New.
	(B38400): New.
	(B76800): New.
	(B153600): New.
	(B307200): New.
	(B614400): New.
	* sysdeps/unix/sysv/linux/bits/termios-c_cflag.h: Modified.
	[__USE_MISC](CMSPAR): New.
	[__USE_MISC](CRTSCTS): New.
	* sysdeps/unix/sysv/linux/bits/termios-cbaud.h: New file.
	* sysdeps/unix/sysv/linux/bits/termios.h: Modified.
	[__USE_MISC](EXTA): Modified.
	[__USE_MISC](EXTB): Modified.
	[__USE_MISC](BOTHER): New.
	(bits/termios-struct.h): Remove include.
	(B0): Remove.
	(B50): Remove.
	(B75): Remove.
	(B110): Remove.
	(B134): Remove.
	(B150): Remove.
	(B200): Remove.
	(B300): Remove.
	(B600): Remove.
	(B1200): Remove.
	(B1800): Remove.
	(B2400): Remove.
	(B4800): Remove.
	(B9600): Remove.
	(B19200): Remove.
	(B38400): Remove.
	[_TERMIOS_H](bits/termios-struct.h): New.
	(__B0): New.
	(__B50): New.
	(__B75): New.
	(__B110): New.
	(__B134): New.
	(__B150): New.
	(__B200): New.
	(__B300): New.
	(__B600): New.
	(__B1200): New.
	(__B1800): New.
	(__B2400): New.
	(__B4800): New.
	(__B9600): New.
	(__B19200): New.
	(__B38400): New.
	(bits/termios-cbaud.h): Include file.
	* sysdeps/unix/sysv/linux/cfsetspeed.c: New file.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/isatty.c: New file.
	* sysdeps/unix/sysv/linux/isatty_nostatus.c: Modified.
	(sysdep.h): Remove include.
	(termios.h): Remove include.
	(kernel_termios.h): Remove include.
	(sys/ioctl.h): Remove include.
	(__isatty_nostatus): Modified function.
	(termios_internals.h): Include file.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	(__ASSUME_TERMIOS2): New.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/Versions: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/kernel_termios.h: Move to...
	* sysdeps/unix/sysv/linux/mips/termios_arch.h: ... here.
	(_KERNEL_TERMIOS_H): Remove.
	(__KERNEL_NCCS): Remove.
	(__kernel_termios): Remove.
	(_HAVE_C_ISPEED): Remove.
	(_HAVE_C_OSPEED): Remove.
	(_TERMIOS2_NCCS): New.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): New.
	(_HAVE_STRUCT_OLD_TERMIOS): New.
	(OLD_NCCS): New.
	(old_termios): New.
	* sysdeps/unix/sysv/linux/old_termios.h: New file.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/bits/termios-c_cflag.h: Modified.
	[__USE_MISC](CMSPAR): New.
	[__USE_MISC](CRTSCTS): New.
	* sysdeps/unix/sysv/linux/powerpc/bits/termios-baud.h: Move to...
	* sysdeps/unix/sysv/linux/powerpc/bits/termios-cbaud.h: ... here.
	[! _TERMIOS_H](Never include <bits/termios-baud.h> directly; use <termios.h> instead."): Remove.
	[! _TERMIOS_H](Never include <bits/termios-cbaud.h> directly; use <termios.h> instead."): New preprocessor message.
	[__USE_MISC](CBAUD): Modified.
	[__USE_MISC](CBAUDEX): Modified.
	[__USE_MISC](CMSPAR): Remove.
	[__USE_MISC](CRTSCTS): Remove.
	[__USE_MISC](CIBAUD): New.
	[__USE_MISC](IBSHIFT): New.
	(B57600): Remove.
	(B115200): Remove.
	(B230400): Remove.
	(B460800): Remove.
	(B500000): Remove.
	(B576000): Remove.
	(B921600): Remove.
	(B1000000): Remove.
	(B1152000): Remove.
	(B1500000): Remove.
	(B2000000): Remove.
	(B2500000): Remove.
	(B3000000): Remove.
	(B3500000): Remove.
	(B4000000): Remove.
	(__MAX_BAUD): Remove.
	(__B57600): New.
	(__B115200): New.
	(__B230400): New.
	(__B460800): New.
	(__B500000): New.
	(__B576000): New.
	(__B921600): New.
	(__B1000000): New.
	(__B1152000): New.
	(__B1500000): New.
	(__B2000000): New.
	(__B2500000): New.
	(__B3000000): New.
	(__B3500000): New.
	(__B4000000): New.
	(__BOTHER): New.
	* sysdeps/unix/sysv/linux/powerpc/kernel_termios.h: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/bits/termios-struct.h: Move to...
	* sysdeps/unix/sysv/linux/powerpc/termios_arch.h: ... here.
	[! _TERMIOS_H](Never include <bits/termios-struct.h> directly; use <termios.h> instead."): Remove.
	(NCCS): Remove.
	(termios): Remove.
	[! TERMIOS_INTERNALS_H](<termios_arch.h> should only be included from <termios_internals.h>"): New.
	(_TERMIOS2_NCCS): New.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): New.
	(_HAVE_STRUCT_OLD_TERMIOS): New.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/Versions: Modified.
	* sysdeps/unix/sysv/linux/sparc/bits/termios-baud.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/bits/termios-cbaud.h: ... here.
	[! _TERMIOS_H](Never include <bits/termios-baud.h> directly; use <termios.h> instead."): Remove.
	[! _TERMIOS_H](Never include <bits/termios-cbaud.h> directly; use <termios.h> instead."): New preprocessor message.
	[__USE_MISC](CMSPAR): Remove.
	[__USE_MISC](CRTSCTS): Remove.
	[__USE_MISC](IBSHIFT): New.
	(B57600): Remove.
	(B115200): Remove.
	(B230400): Remove.
	(B460800): Remove.
	(B76800): Remove.
	(B153600): Remove.
	(B307200): Remove.
	(B614400): Remove.
	(B921600): Remove.
	(B500000): Remove.
	(B576000): Remove.
	(B1000000): Remove.
	(B1152000): Remove.
	(B1500000): Remove.
	(B2000000): Remove.
	(__MAX_BAUD): Remove.
	(__B57600): New.
	(__B115200): New.
	(__B230400): New.
	(__B460800): New.
	(__B76800): New.
	(__B153600): New.
	(__B307200): New.
	(__B614400): New.
	(__B921600): New.
	(__B500000): New.
	(__B576000): New.
	(__B1000000): New.
	(__B1152000): New.
	(__B1500000): New.
	(__B2000000): New.
	(__BOTHER): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/kernel_termios.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/termios_arch.h: ... here.
	(_KERNEL_TERMIOS_H): Remove.
	(termios.h): Remove include.
	(__KERNEL_NCCS): Remove.
	(__kernel_termios): Remove.
	(_HAVE_C_ISPEED): Remove.
	(_HAVE_C_OSPEED): Remove.
	(_TERMIOS2_NCCS): New.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): New.
	(_HAVE_STRUCT_OLD_TERMIOS): New.
	(OLD_NCCS): New.
	(old_termios): New.
	* sysdeps/unix/sysv/linux/speed.c: Modified.
	(stddef.h): Remove include.
	(errno.h): Remove include.
	(termios.h): Remove include.
	(sysdep.h): Remove include.
	(IBAUD0): Remove.
	(cfgetospeed): Remove function.
	(cfgetispeed): Remove function.
	(cfsetospeed): Remove function.
	(libc_hidden_def): Remove.
	(cfsetispeed): Remove function.
	(libc_hidden_def): Remove.
	[!(CBAUD & 1)](The CBAUD field should start at bit 0"): New.
	[CBAUDEX & (CBAUDEX-1)](CBAUDEX should either be 0 or a single bit"): New.
	[CBAUDEX & ~CBAUD](CBAUD should include the CBAUDEX bit"): New.
	[CIBAUD != (CBAUD << IBSHIFT)](CIBAUD should == CBAUD << IBSHIFT"): New.
	[_TERMIOS_OLD_COMPAT](__old_cfgetospeed): New.
	[_TERMIOS_OLD_COMPAT](compat_symbol): New.
	[_TERMIOS_OLD_COMPAT](__old_cfgetispeed): New.
	[_TERMIOS_OLD_COMPAT](compat_symbol): New.
	[_TERMIOS_OLD_COMPAT](__old_cfsetospeed): New.
	[_TERMIOS_OLD_COMPAT](compat_symbol): New.
	[_TERMIOS_OLD_COMPAT](__old_cfsetispeed): New.
	[_TERMIOS_OLD_COMPAT](compat_symbol): New.
	(termios_internals.h): Include file.
	(LOWCBAUD): New.
	(_cbix): New.
	(CBAUDMASK): New.
	(___cbaud_to_speed): New function.
	(___speed_to_cbaud): New function.
	(___termios2_canonicalize_speeds): New function.
	(__cfgetospeed): New function.
	(versioned_symbol): New function.
	(__cfgetispeed): New function.
	(versioned_symbol): New function.
	(__cfsetospeed): New function.
	(versioned_symbol): New function.
	(__cfsetispeed): New function.
	(versioned_symbol): New function.
	* sysdeps/unix/sysv/linux/tcgetattr.c: Modified.
	(errno.h): Remove include.
	(string.h): Remove include.
	(termios.h): Remove include.
	(unistd.h): Remove include.
	(sys/ioctl.h): Remove include.
	(sys/types.h): Remove include.
	(sysdep.h): Remove include.
	(kernel_termios.h): Remove include.
	(__tcgetattr): Modified function.
	(weak_alias): Remove.
	[!(_TERMIOS_OLD_COMPAT && _HAVE_STRUCT_OLD_TERMIOS)](weak_alias): New.
	[_TERMIOS_OLD_COMPAT && _HAVE_STRUCT_OLD_TERMIOS](versioned_symbol): New.
	[_TERMIOS_OLD_COMPAT && _HAVE_STRUCT_OLD_TERMIOS](__old_tcgetattr): New.
	[_TERMIOS_OLD_COMPAT && _HAVE_STRUCT_OLD_TERMIOS](compat_symbol): New.
	(termios_internals.h): Include file.
	* sysdeps/unix/sysv/linux/tcsetattr.c: Modified.
	(errno.h): Remove include.
	(string.h): Remove include.
	(termios.h): Remove include.
	(sys/ioctl.h): Remove include.
	(sys/types.h): Remove include.
	(sysdep.h): Remove include.
	(kernel_termios.h): Remove include.
	(IBAUD0): Remove.
	(__tcsetattr): Modified function.
	(weak_alias): Remove.
	[!(_HAVE_STRUCT_OLD_TERMIOS && _TERMIOS_OLD_COMPAT)](weak_alias): New.
	[_HAVE_STRUCT_OLD_TERMIOS && _TERMIOS_OLD_COMPAT](versioned_symbol): New.
	[_HAVE_STRUCT_OLD_TERMIOS && _TERMIOS_OLD_COMPAT](__old_tcsetattr): New.
	[_HAVE_STRUCT_OLD_TERMIOS && _TERMIOS_OLD_COMPAT](compat_symbol): New.
	(termios_internals.h): Include file.
	(static_assert_equal): New.
	* sysdeps/unix/sysv/linux/mips/kernel_termios.h: Move to...
	* sysdeps/unix/sysv/linux/termios_arch.h: ... here.
	(_KERNEL_TERMIOS_H): Remove.
	(__KERNEL_NCCS): Remove.
	(__kernel_termios): Remove.
	(_HAVE_C_ISPEED): Remove.
	(_HAVE_C_OSPEED): Remove.
	(_TERMIOS2_NCCS): New.
	(_HAVE_TERMIOS2_C_CC_BEFORE_C_LINE): New.
	(_HAVE_STRUCT_OLD_TERMIOS): New.
	* sysdeps/unix/sysv/linux/termios_internals.h: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: 5f54d8bc48983bed844c02e1fe614ad223e78838
	linux/termios/powerpc: deal with powerpc-unique ioctl emulation

	* sysdeps/unix/sysv/linux/powerpc/bits/ioctls.h: New file.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: 091256f0d1be5efebe5fede0d710e0de7375124d
	linux/ioctls: use <linux/sockios.h> for sockios ioctls

	* sysdeps/unix/sysv/linux/bits/ioctls.h: Modified.
	(SIOCADDRT): Remove.
	(SIOCDELRT): Remove.
	(SIOCRTMSG): Remove.
	(SIOCGIFNAME): Remove.
	(SIOCSIFLINK): Remove.
	(SIOCGIFCONF): Remove.
	(SIOCGIFFLAGS): Remove.
	(SIOCSIFFLAGS): Remove.
	(SIOCGIFADDR): Remove.
	(SIOCSIFADDR): Remove.
	(SIOCGIFDSTADDR): Remove.
	(SIOCSIFDSTADDR): Remove.
	(SIOCGIFBRDADDR): Remove.
	(SIOCSIFBRDADDR): Remove.
	(SIOCGIFNETMASK): Remove.
	(SIOCSIFNETMASK): Remove.
	(SIOCGIFMETRIC): Remove.
	(SIOCSIFMETRIC): Remove.
	(SIOCGIFMEM): Remove.
	(SIOCSIFMEM): Remove.
	(SIOCGIFMTU): Remove.
	(SIOCSIFMTU): Remove.
	(SIOCSIFNAME): Remove.
	(SIOCSIFHWADDR): Remove.
	(SIOCGIFENCAP): Remove.
	(SIOCSIFENCAP): Remove.
	(SIOCGIFHWADDR): Remove.
	(SIOCGIFSLAVE): Remove.
	(SIOCSIFSLAVE): Remove.
	(SIOCADDMULTI): Remove.
	(SIOCDELMULTI): Remove.
	(SIOCGIFINDEX): Remove.
	(SIOGIFINDEX): Remove.
	(SIOCSIFPFLAGS): Remove.
	(SIOCGIFPFLAGS): Remove.
	(SIOCDIFADDR): Remove.
	(SIOCSIFHWBROADCAST): Remove.
	(SIOCGIFCOUNT): Remove.
	(SIOCGIFBR): Remove.
	(SIOCSIFBR): Remove.
	(SIOCGIFTXQLEN): Remove.
	(SIOCSIFTXQLEN): Remove.
	(SIOCDARP): Remove.
	(SIOCGARP): Remove.
	(SIOCSARP): Remove.
	(SIOCDRARP): Remove.
	(SIOCGRARP): Remove.
	(SIOCSRARP): Remove.
	(SIOCGIFMAP): Remove.
	(SIOCSIFMAP): Remove.
	(SIOCADDDLCI): Remove.
	(SIOCDELDLCI): Remove.
	(SIOCDEVPRIVATE): Remove.
	(SIOCPROTOPRIVATE): Remove.
	(linux/sockios.h): Include file.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: c4929eecf7104f266f546ec742ca38ceee0e99c5
	io: replace local_isatty() with a proper function __isatty_nostatus()

	* include/unistd.h: Modified.
	[! _ISOMAC](__isatty_nostatus): New function.
	* io/Makefile: Modified.
	* io/isatty_nostatus.c: New file.
	* libio/filedoalloc.c: Modified.
	(local_isatty): Remove function.
	(_IO_file_doallocate): Modified function.
	* sysdeps/unix/sysv/linux/isatty_nostatus.c: New file.

2025-06-17  H. Peter Anvin (Intel)  <hpa@zytor.com>

	COMMIT: edf7328db204f243c1bfde90edb11f99c7a13e14
	termios: make __tcsetattr() the internal interface

	* include/termios.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	* login/openpty.c: Modified.
	(__openpty): Modified function.
	* misc/getpass.c: Modified.
	(getpass): Modified function.
	* sysdeps/unix/bsd/tcsetattr.c: Modified.
	(tcsetattr): Remove function.
	(libc_hidden_def): Modified.
	(__tcsetattr): New function.
	(weak_alias): New.
	* sysdeps/unix/sysv/linux/tcsetattr.c: Modified.
	(libc_hidden_def): Modified.
	* termios/tcsetattr.c: Modified.
	(tcsetattr): Remove function.
	(libc_hidden_def): Modified.
	(__tcsetattr): New function.
	(weak_alias): New.

2025-06-17  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 11649794748f96f6f71446062b4c45c0285591b3
	Update advisory GLIBC-SA-2025-0003 and GLIBC-SA-2025-0004

	* advisories/GLIBC-SA-2025-0003: Modified.
	* advisories/GLIBC-SA-2025-0004: Modified.

2025-06-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d1b27eeda3d92f33314e93537437cab11ddf4777
	malloc: Sort tests-exclude-largetcache in Makefile

	* malloc/Makefile: Modified.

2025-06-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 15808c77b35319e67ee0dc8f984a9a1a434701bc
	ppc64le: Revert "powerpc: Optimized strcmp for power10" (CVE-2025-5702)

	* sysdeps/powerpc/powerpc64/le/power10/strcmp.S: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/strcmp-power10.S: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/strcmp.c: Modified.
	[__LITTLE_ENDIAN__](__strcmp_power10): Remove.
	[__LITTLE_ENDIAN__](libc_ifunc_redirected): Modified.

2025-06-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: a7877bb6685300f159fa095c9f50b22b112cddb8
	ppc64le: Revert "powerpc : Add optimized memchr for POWER10" (Bug 33059)

	* sysdeps/powerpc/powerpc64/le/power10/memchr.S: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/memchr-power10.S: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/memchr.c: Modified.
	[IS_IN (libc)][! __LITTLE_ENDIAN__](libc_ifunc): Remove.
	[IS_IN (libc)][__LITTLE_ENDIAN__](__memchr_power10): Remove.
	[IS_IN (libc)][__LITTLE_ENDIAN__](libc_ifunc): Remove.
	[IS_IN (libc)](libc_ifunc): New function.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](libc_hidden_builtin_def): New.

2025-06-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: c22de63588df7a8a0edceea9bb02534064c9d201
	ppc64le: Revert "powerpc: Fix performance issues of strcmp power10" (CVE-2025-5702)

	* sysdeps/powerpc/powerpc64/le/power10/strcmp.S: Modified.

2025-06-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 63c60101ce7c5eac42be90f698ba02099b41b965
	ppc64le: Revert "powerpc: Optimized strncmp for power10" (CVE-2025-5745)

	* sysdeps/powerpc/powerpc64/le/power10/strncmp.S: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/strncmp-power10.S: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/strncmp.c: Modified.
	[__LITTLE_ENDIAN__](__strncmp_power10): Remove.
	[__LITTLE_ENDIAN__](libc_ifunc_redirected): Modified.

2025-06-16  Cupertino Miranda  <cupertino.miranda@oracle.com>

	COMMIT: cde5caa4bb21d5c474b9e4762cc847bcbc70e481
	malloc: add testing for large tcache support

	* Rules: Modified.
	* malloc/Makefile: Modified.

2025-06-16  Cupertino Miranda  <cupertino.miranda@oracle.com>

	COMMIT: cbfd7988107b27b9ff1d0b57fa2c8f13a932e508
	malloc: add tcache support for large chunk caching

	* malloc/malloc.c: Modified.
	[! USE_TCACHE](MAYBE_INIT_TCACHE): Remove.
	[IS_IN (libc)](__libc_malloc2): Modified function.
	[IS_IN (libc)](__libc_malloc): Modified function.
	[IS_IN (libc)](__libc_free): Modified function.
	[IS_IN (libc)](_mid_memalign): Modified function.
	[IS_IN (libc)](__libc_calloc2): Modified function.
	[IS_IN (libc)](__libc_calloc): Modified function.
	[IS_IN (libc)](__libc_malloc2): New function.
	[USE_TCACHE](TCACHE_MAX_BINS): Modified.
	[USE_TCACHE](MAX_TCACHE_SIZE): Remove.
	[USE_TCACHE](tcache_put): Modified function.
	[USE_TCACHE](tcache_get_n): Modified function.
	[USE_TCACHE](tcache_get): Modified function.
	[USE_TCACHE](tcache_next): Remove function.
	[USE_TCACHE](tcache_available): Remove function.
	[USE_TCACHE](void): Modified.
	[USE_TCACHE](void): Modified.
	[USE_TCACHE](void): Modified.
	[USE_TCACHE](tcache_init): Modified function.
	[USE_TCACHE](MAYBE_INIT_TCACHE): Remove.
	[USE_TCACHE](do_set_tcache_max): Modified function.
	[USE_TCACHE](void): Modified.
	[USE_TCACHE](TCACHE_SMALL_BINS): New.
	[USE_TCACHE](TCACHE_LARGE_BINS): New.
	[USE_TCACHE](MAX_TCACHE_SMALL_SIZE): New.
	[USE_TCACHE](large_csize2tidx): New function.
	[USE_TCACHE](tcache_put_n): New function.
	[USE_TCACHE](tcache_location_large): New function.
	[USE_TCACHE](tcache_put_large): New function.
	[USE_TCACHE](tcache_get_large): New function.
	[USE_TCACHE](tcache_init): New function.
	[USE_TCACHE](tcache_get_align): New function.
	[USE_TCACHE](void): New.
	[USE_TCACHE](tcache_malloc_init): New function.
	[USE_TCACHE](void): New.
	(malloc_par): Modified.
	(_int_malloc): Modified function.

2025-06-16  H.J. Lu  <hjl.tools@gmail.com>
            Radko Krkos  <krkos@mail.muni.cz>

	COMMIT: 5b7c8d1cd44048d6fbf10ad80e0d94dd90848a0d
	Always check lockf64 return value

	* locale/programs/locarchive.c: Modified.
	(open_archive): Modified function.

2025-06-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 81467d4b6168c7ce40d951d6b32e387109c0e5ae
	elf: Add optimization barrier for __ehdr_start and _end

	* elf/rtld.c: Modified.
	[! DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	[DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	* sysdeps/x86_64/Makefile: Modified.

2025-06-15  gfleury  <gfleury@disroot.org>

	COMMIT: 27360ab9ea637de80ded9f0e0fe23ac0cc621b29
	htl: move pthread_key_*, pthread_get/setspecific

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-initialize.c: Modified.
	* htl/pt-internal.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	* sysdeps/htl/libc-lockP.h: Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Remove.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Remove.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Remove.
	* sysdeps/htl/pt-destroy-specific.c: Modified.
	(string.h): Include file.
	(libc_hidden_def): New.
	* sysdeps/htl/pt-getspecific.c: Modified.
	(weak_alias): Remove.
	(hidden_def): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_42)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pt-key-create.c: Modified.
	(weak_alias): Remove.
	(hidden_def): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_42)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(ldsodefs.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pt-key-delete.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_42)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(ldsodefs.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pt-setspecific.c: Modified.
	(weak_alias): Remove.
	(hidden_def): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_42)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(string.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_key_create): Remove.
	(__pthread_getspecific): Remove.
	(__pthread_setspecific): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Remove.
	[IS_IN (libpthread)](hidden_proto): Remove.
	[IS_IN (libpthread)](hidden_proto): Remove.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-06-15  H.J. Lu  <hjl.tools@gmail.com>
            Florian Weimer  <fweimer@redhat.com>

	COMMIT: 90cf97bb9d56d36197e1e83b8570daec3af43fca
	elf: Remove the unused _etext declaration

	* elf/rtld.c: Modified.
	(_etext): Remove.

2025-06-14  Radko Krkos  <krkos@mail.muni.cz>

	COMMIT: f3c82fc1b41261f582f5f9fa12f74af9bcbc88f9
	io: Mark lockf() __wur [BZ #32800]

	* io/fcntl.h: Modified.
	[! F_LOCK && ( __USE_MISC || ( __USE_XOPEN_EXTENDED  && ! __USE_POSIX))][! __USE_FILE_OFFSET64](lockf): Remove.
	[! F_LOCK && ( __USE_MISC || ( __USE_XOPEN_EXTENDED  && ! __USE_POSIX))][! __USE_FILE_OFFSET64](__wur): New.
	[! F_LOCK && ( __USE_MISC || ( __USE_XOPEN_EXTENDED  && ! __USE_POSIX))][__USE_FILE_OFFSET64][__REDIRECT](__REDIRECT): Remove.
	[! F_LOCK && ( __USE_MISC || ( __USE_XOPEN_EXTENDED  && ! __USE_POSIX))][__USE_FILE_OFFSET64][__REDIRECT](__wur): New.
	[! F_LOCK && ( __USE_MISC || ( __USE_XOPEN_EXTENDED  && ! __USE_POSIX))][__USE_LARGEFILE64](lockf64): Remove.
	[! F_LOCK && ( __USE_MISC || ( __USE_XOPEN_EXTENDED  && ! __USE_POSIX))][__USE_LARGEFILE64](__wur): New.

2025-06-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1d828b9ddc2205de208ae304cf3b8ca202dd6481
	benchtests: Improve modf benchtest

	* benchtests/modf-inputs: Modified.

2025-06-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 619fd4e37b959c78f0b3a94ea876a85730689845
	benchtests: Add modff benchtest

	* benchtests/Makefile: Modified.
	* benchtests/modff-inputs: New file.

2025-06-13  Mark Harris  <mark.hsj@gmail.com>

	COMMIT: 8af8beb1c488dcfec754431c1626979276046545
	riscv: Correct __riscv_hwprobe function prototype [BZ #32932]

	* sysdeps/unix/sysv/linux/riscv/hwprobe.c: Modified.
	(__riscv_hwprobe): Modified function.
	* sysdeps/unix/sysv/linux/riscv/sys/hwprobe.h: Modified.
	(__riscv_hwprobe): Modified.
	(int): Modified.
	[!(__cplusplus || !__GNUC_PREREQ (2, 7))](typedef union { cpu_set_t *__cs; unsigned long int *__ul; } __RISCV_HWPROBE_CPUS_TYPE __attribute__ ((__transparent_union__));): New.
	[!(__cplusplus || !__GNUC_PREREQ (2, 7))](__RISCV_HWPROBE_CPUS_TYPE): New.
	[__cplusplus || !__GNUC_PREREQ (2, 7)](__RISCV_HWPROBE_CPUS_TYPE): New.
	(sched.h): Include file.

2025-06-10  Sergey Kolosov  <skolosov@redhat.com>

	COMMIT: daab2a6d19f8360248289840408e7d2e5c203c2e
	resolv: Add test for getaddrinfo returning FQDN in ai_canonname

	* resolv/Makefile: Modified.
	* resolv/tst-resolv-getaddrinfo-fqdn.c: New file.

2025-06-10  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: b15ed85c86d454f02eb1738a83ffbea4896484d2
	aarch64: fix typo in sysdeps/aarch64/Makefile

	* sysdeps/aarch64/Makefile: Modified.

2025-06-09  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: f8f73249d94fd3ef5fc5843932dbd1fde6bef12c
	Advisory text for CVE-2025-5745

	* advisories/GLIBC-SA-2025-0004: New file.

2025-06-09  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 62cb3ee57d08e05d15cca624af8b01878536ca03
	Advisory text for CVE-2025-5702

	* advisories/GLIBC-SA-2025-0003: New file.

2025-06-09  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5fdc693d95a981e10f7a2a3952b6cd1133ed85f9
	hurd: Make __getrandom_early_init call __mach_init

	* mach/mach_init.c: Modified.
	(__mach_init): Modified function.
	* sysdeps/mach/hurd/getrandom-internal.h: New file.

2025-06-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0a027674a10337cb22ad4e056637616ea1611324
	x86: Avoid GLRO(dl_x86_cpu_features)

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.

2025-06-06  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 62fba6d9807fc12334d7c5513407715d59539611
	manual: Add a comparative example of 'clock_nanosleep' use

	* manual/time.texi: Modified.

2025-06-06  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 09795c5612c630db605886dfd55dbf56f381d128
	AArch64: Fix builderror with GCC 12.1/12.2

	* sysdeps/aarch64/fpu/Makefile: Modified.

2025-06-05  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 7a751ce39c266143807ef830a949cb8b831783ba
	Linux: Drop obsolete kernel support with `if_nameindex' and `if_nametoindex'

	* sysdeps/unix/sysv/linux/if_index.c: Modified.
	(__if_nametoindex): Modified function.
	(if_nameindex_netlink): Remove function.
	(__if_nameindex): Modified function.

2025-06-05  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: fcd6a8b5c53a5fbd847aec6fa8d36a71388441c8
	aarch64: add __ifunc_hwcap function to be used in ifunc resolvers

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/sys/ifunc.h: Modified.
	(sys/cdefs.h): Include file.
	(<anonymous>): New.
	(__ifunc_hwcap): New function.
	* sysdeps/aarch64/tst-ifunc-arg-1.c: Modified.
	(do_test): Modified function.
	* sysdeps/aarch64/tst-ifunc-arg-2.c: Modified.
	(do_test): Modified function.
	* sysdeps/aarch64/tst-ifunc-arg-3.c: New file.
	* sysdeps/aarch64/tst-ifunc-arg-4.c: New file.

2025-06-05  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: ea14d04e9a831874e40be39522145a45f1f4f8c7
	aarch64: add support for hwcap3,4

	* sysdeps/aarch64/dl-irel.h: Modified.
	(unistd.h): Remove include.
	(sysdep.h): Remove include.
	(elf_ifunc_invoke): Modified function.
	(_IFUNC_ARG_SIZE_VER0): New.
	(_IFUNC_ARG_SIZE_VER1): New.
	(sizeof_field): New.
	(offsetofend): New.
	(_Static_assert): New function.
	(_IFUNC_ARG_SIZE_VER1): New.
	(offsetofend): New.
	(sizeof_field): New.
	* sysdeps/aarch64/sys/ifunc.h: Modified.
	(__ifunc_arg_t): Modified.
	(_IFUNC_HWCAP_MAX): New.
	* sysdeps/aarch64/tst-ifunc-arg-1.c: Modified.
	(do_test): Modified function.
	* sysdeps/aarch64/tst-ifunc-arg-2.c: Modified.
	(do_test): Modified function.

2025-06-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 25f1d945766a3a757d9b54eb48fe7c3c48c0f791
	manual: Document futimens and utimensat

	* manual/filesys.texi: Modified.

2025-06-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 75b725717ff23d0ae38fc7f4a0361cb1bdffbe2e
	manual: Document unlinkat

	* manual/filesys.texi: Modified.

2025-06-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 60f86c9cd062882cbeb04b2944c3dfb7457ee5c5
	manual: Document renameat

	* manual/filesys.texi: Modified.

2025-06-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 49766eb1a5b93d093bd0fada55ca7a42dfdb10d6
	manual: Document mkdirat

	* manual/filesys.texi: Modified.

2025-06-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 941157dbcdf1c410960bde991206bfb6d9bb292f
	manual: Document faccessat

	* manual/filesys.texi: Modified.

2025-06-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 3b21166c4d34ee032093bcf599ffac42ad8a4371
	manual: Expand Descriptor-Relative Access section

	* manual/filesys.texi: Modified.

2025-06-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2fca4b624bd3ceb8c756b4145c7e96aa032b2b98
	Makefile: Avoid $(objpfx)/ in makefiles

	* elf/Makefile: Modified.
	* nss/Makefile: Modified.

2025-06-04  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 140b20e9716b51659a5223b182dcf07ac62b3f77
	manual: Document error codes missing for 'inet_pton'

	* manual/socket.texi: Modified.

2025-06-04  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 5a9020eeb27eee88e7839ff5e9cea94892ec90ff
	manual: Document error codes missing for 'if_nametoindex'

	* manual/socket.texi: Modified.

2025-06-04  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 46acdf46cc1948187d6540cdf4abee5053cd8bcc
	manual: Document error codes missing for 'if_indextoname'

	* manual/socket.texi: Modified.

2025-06-04  Cœur  <coeur@gmx.fr>

	COMMIT: e885fd43db8120b9f794b0a9482778da63aa136b
	posix: fix building regex when _LIBC isn't defined

	* posix/regcomp.c: Modified.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][_LIBC][! _LIBC](parse_bracket_exp): Modified function.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][_LIBC](parse_bracket_exp): Modified function.

2025-06-04  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 5b456748693957b39a53b1e15e5b85a9af7c04a8
	localedata: Use the name North Macedonia.

	* locale/iso-3166.def: Modified.

2025-06-03  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 7e10e30e64aa2cc8ba50f2f83cb7cc2cdad134ad
	malloc: Count tcache entries downwards

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	[USE_TCACHE](tcache_perthread_struct): Modified.
	[USE_TCACHE](tcache_put): Modified function.
	[USE_TCACHE](tcache_get_n): Modified function.
	[USE_TCACHE](tcache_available): Modified function.
	[USE_TCACHE](tcache_init): Modified function.
	(_int_malloc): Modified function.

2025-06-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 404526ee2e58f3c075253943ddc9988f4bd6b80c
	sparc: Fix argument passing to __libc_start_main (BZ 32981)

	* sysdeps/sparc/sparc32/start.S: Modified.
	* sysdeps/sparc/sparc64/start.S: Modified.

2025-06-03  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: d475e5bf4f1e0628354c45fb830388a92f7d1181
	localedata: Refer to Eswatini instead of Swaziland.

	* locale/iso-3166.def: Modified.
	* locale/iso-4217.def: Modified.

2025-06-03  наб  <nabijaczleweli@nabijaczleweli.xyz>

	COMMIT: 6945ce4a6f9700c2b978612c3538452ca1b126c6
	sigaction: don't sign-extend sa_flags

	* sysdeps/unix/sysv/linux/libc_sigaction.c: Modified.
	(__libc_sigaction): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/libc_sigaction.c: Modified.
	(SET_SA_RESTORER): Modified.

2025-06-02  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: b2970d5e5be3142f4f50d589b886b53567818bcc
	stdio-common: Add nonnull attribute to stdio_ext.h functions.

	* stdio-common/stdio_ext.h: Modified.
	(__fbufsize): Modified.
	(__freading): Modified.
	(__fwriting): Modified.
	(__freadable): Modified.
	(__fwritable): Modified.
	(__flbf): Modified.
	(__fpurge): Modified.
	(__fpending): Modified.
	(__fsetlocking): Modified.

2025-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e529bfe8dee4bfde3ac74927b5b7b8df65cf3bb0
	elf: Fix UB on _dl_map_object_from_fd

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.

2025-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1642570563434ff0f15b36edc0b92ab3c7c934ee
	argp: Fix shift bug

	* argp/argp-parse.c: Modified.
	(parser_parse_opt): Modified function.

2025-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7c00a20397d8caa3638a26a58900570c8ef21c49
	math: Remove i386 ilogb/ilogbf/llogb/llogbf

	* sysdeps/i386/fpu/e_ilogb.S: Delete file.
	* sysdeps/i386/fpu/e_ilogbf.S: Delete file.
	* sysdeps/i386/fpu/w_ilogb.c: Delete file.
	* sysdeps/i386/fpu/w_ilogbf.c: Delete file.
	* sysdeps/i386/fpu/w_llogb.c: Delete file.
	* sysdeps/i386/fpu/w_llogbf.c: Delete file.

2025-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 39775f00b194e5f10b3b398de57b04a18846814e
	math: Optimize float ilogb/llogb

	* sysdeps/i386/fpu/w_ilogbf.c: New file.
	* sysdeps/i386/fpu/w_llogbf.c: New file.
	* sysdeps/ieee754/flt-32/e_ilogbf.c: Modified.
	(limits.h): Remove include.
	(math.h): Remove include.
	(stdbit.h): Remove include.
	(math_config.h): Remove include.
	(__ieee754_ilogbf): Remove function.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	(__math_invalidf_i): New function.
	(__math_invalidf_li): New function.
	* sysdeps/ieee754/flt-32/math_errf.c: Modified.
	[! WANT_ERRNO](with_errnof_i): New.
	[! WANT_ERRNO](with_errnof_li): New.
	[WANT_ERRNO](with_errnof_i): New function.
	[WANT_ERRNO](with_errnof_li): New function.
	(math-barriers.h): Include file.
	(__math_invalidf_i): New function.
	(__math_invalidf_li): New function.
	* sysdeps/ieee754/flt-32/w_ilogbf-impl.h: New file.
	* sysdeps/ieee754/flt-32/w_ilogbf.c: New file.
	* sysdeps/ieee754/flt-32/w_llogbf.c: New file.
	* sysdeps/loongarch/fpu/e_ilogbf.c: Modified.
	(NO_MATH_REDIRECT): Remove.
	(math.h): Remove include.
	(fpu_control.h): Remove include.
	(__ieee754_ilogbf): Remove function.
	* sysdeps/loongarch/fpu/w_ilogbf-impl.h: New file.
	* sysdeps/m68k/m680x0/w_ilogbf.c: New file.
	* sysdeps/m68k/m680x0/w_llogbf.c: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/e_ilogbf.c: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/w_ilogbf.c: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/w_llogbf.c: New file.

2025-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: afe09d44f3a3597c3e6ea91f5ceb3e502da6d192
	math: Remove UB and optimize double ilogbf

	* sysdeps/ieee754/flt-32/e_ilogbf.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(math_private.h): Remove include.
	(__ieee754_ilogbf): Modified function.
	(stdbit.h): Include file.
	(math_config.h): Include file.

2025-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c4be334400508e6aa007f99ccc36c414f793c387
	math: Optimize double ilogb/llogb

	* sysdeps/i386/fpu/math_err.c: Delete file.
	* sysdeps/i386/fpu/w_ilogb.c: New file.
	* sysdeps/i386/fpu/w_llogb.c: New file.
	* sysdeps/ieee754/dbl-64/e_ilogb.c: Modified.
	(limits.h): Remove include.
	(math.h): Remove include.
	(stdbit.h): Remove include.
	(math_config.h): Remove include.
	(__ieee754_ilogb): Remove function.
	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	(__math_invalid_i): New function.
	(__math_invalid_li): New function.
	* sysdeps/ieee754/dbl-64/math_err.c: Modified.
	[! WANT_ERRNO](with_errno_i): New.
	[! WANT_ERRNO](with_errno_li): New.
	[WANT_ERRNO](with_errno_i): New function.
	[WANT_ERRNO](with_errno_li): New function.
	(__math_invalid_i): New function.
	(__math_invalid_li): New function.
	* sysdeps/ieee754/dbl-64/w_ilogb-impl.h: New file.
	* sysdeps/ieee754/dbl-64/w_ilogb.c: New file.
	* sysdeps/ieee754/dbl-64/w_llogb.c: New file.
	* sysdeps/loongarch/fpu/e_ilogb.c: Move to...
	* sysdeps/loongarch/fpu/w_ilogb-impl.h: ... here.
	(NO_MATH_REDIRECT): Remove.
	(math.h): Remove include.
	(__ieee754_ilogb): Remove function.
	(IMPL_NAME): New function.
	* sysdeps/m68k/m680x0/fpu/math_err.c: Delete file.
	* sysdeps/m68k/m680x0/w_ilogb.c: New file.
	* sysdeps/m68k/m680x0/w_llogb.c: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/e_ilogb.c: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/w_ilogb.c: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/w_llogb.c: New file.

2025-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eb1e9194fa3802dea813880fd6765467f8e86a49
	math: Remove UB and optimize double ilogb

	* sysdeps/ieee754/dbl-64/e_ilogb.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(math_private.h): Remove include.
	(__ieee754_ilogb): Modified function.
	(stdbit.h): Include file.
	(math_config.h): Include file.

2025-06-02  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 591283a68965fe61a7186c9c81f7812e71b282b4
	manual: Correct return value description of 'clock_nanosleep'

	* manual/time.texi: Modified.

2025-05-30  DJ Delorie  <dj@redhat.com>

	COMMIT: af90dc572ad232d05b667c4ce218d499f066b7bc
	nss: free dynarray buffer after parsing nsswitch.conf

	* nss/nss_action_parse.c: Modified.
	(__nss_action_parse): Modified function.

2025-05-30  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 1a3d8f2201d4d613401ce5be9a283f4f28c43093
	manual: Document clock_nanosleep

	* manual/time.texi: Modified.

2025-05-30  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 9a743032cd59c59167bf615d8ab4acc96b2bf47e
	manual: Fix invalid 'illegal' usage with 'nanosleep'

	* manual/time.texi: Modified.

2025-05-30  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: bc4202521c2aaf587690ea6cbb67c22ee578c86e
	manual: Fix duplicate 'consult' erratum

	* manual/resource.texi: Modified.

2025-05-30  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 24ac3a570ddf5b8b7973303b8d3843a64e185a90
	localedata: Correct Persian collation rules description

	* localedata/locales/fa_IR: Modified.

2025-05-30  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 9e8be7a0d146f82d8fa14ab39207656b8b00aae1
	stdio-common: Correct 'sscanf' test feature wrapper description

	* stdio-common/tst-scanf-format-ss.h: Modified.

2025-05-29  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 79b5febd762d6735ba8e878086a50ea04993e340
	manual: Document error codes missing for 'inet_ntop'

	* manual/socket.texi: Modified.

2025-05-29  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 43afae31e0d7579deef13536c4c3704afaa017da
	manual: Document error codes missing for 'socket'

	* manual/socket.texi: Modified.

2025-05-29  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: e6de31203e236fa346c2f56ce4e1f8fe82594b03
	stdio-common: Consistently use 'num_digits_len' in 'vfscanf'

	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.

2025-05-29  Joseph Myers  <josmyers@redhat.com>

	COMMIT: eaf88c10250b917ba64c9d5567457c4b82558ed1
	Update syscall lists for Linux 6.15

	* sysdeps/unix/sysv/linux/aarch64/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/alpha/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/arc/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/arm/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/csky/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/hppa/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/i386/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/loongarch/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/m68k/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/microblaze/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/mips/mips32/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/or1k/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/riscv/rv32/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/sh/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.
	* sysdeps/unix/sysv/linux/x86_64/x32/arch-syscall.h: Modified.
	(__NR_open_tree_attr): New.

2025-05-29  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: aa18367c1169700f610565eba8acf3e08429fcf5
	AArch64: Improve enabling of SVE for libmvec

	* sysdeps/aarch64/fpu/Makefile: Modified.

2025-05-29  Luna Lamb  <luna.lamb@arm.com>

	COMMIT: da196e6134ede64728006518352d75b6c3902fec
	AArch64: Improve codegen in SVE log1p

	* sysdeps/aarch64/fpu/log1p_sve.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.

2025-05-28  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 3473526758532d7356be80c7950e476e235b5fb2
	Use Linux 6.15 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2025-05-28  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: ea30c6703055ea2ef4584c32df8d30a41b945bdf
	manual: mention PKEY_UNRESTRICTED macro in the manual

	* manual/memory.texi: Modified.

2025-05-28  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 22419a2b60c813726c1a7efe047b47beef42e8b2
	linux: use PKEY_UNRESTRICTED macro in tst-pkey

	* sysdeps/unix/sysv/linux/tst-pkey.c: Modified.
	(do_test): Modified function.

2025-05-28  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 01bb997ef59031e6b1031fb53a16754f1faab6df
	misc: add PKEY_UNRESTRICTED macro

	* sysdeps/unix/sysv/linux/bits/mman-shared.h: Modified.
	[__USE_GNU][! PKEY_DISABLE_ACCESS](PKEY_DISABLE_ACCESS): Remove.
	[__USE_GNU][! PKEY_DISABLE_ACCESS](PKEY_DISABLE_WRITE): Remove.
	[__USE_GNU](PKEY_UNRESTRICTED): New.
	[__USE_GNU](PKEY_DISABLE_ACCESS): New.
	[__USE_GNU](PKEY_DISABLE_WRITE): New.

2025-05-28  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 27cc947dcee01dd7d9054224aa24ab19fbb4cb9a
	generic: Add missing parameter name to __getrandom_early_init

	* sysdeps/generic/getrandom-internal.h: Modified.
	(__getrandom_early_init): Modified function.

2025-05-28  Florian Weimer  <fweimer@redhat.com>

	COMMIT: fe31d246f5ecf584467904cc8a411dbe306ae8f3
	hurd: Avoid -Wfree-labels warning in _hurd_intr_rpc_mach_msg

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.

2025-05-28  Andreas Schwab  <schwab@suse.de>

	COMMIT: 345432e47b931c3a8e1cac560e785ba0c5affbe6
	Update RISC-V relocations

	* elf/elf.h: Modified.
	(R_RISCV_GNU_VTINHERIT): Remove.
	(R_RISCV_GNU_VTENTRY): Remove.
	(R_RISCV_RVC_LUI): Remove.
	(R_RISCV_GPREL_I): Remove.
	(R_RISCV_GPREL_S): Remove.
	(R_RISCV_TPREL_I): Remove.
	(R_RISCV_TPREL_S): Remove.
	(R_RISCV_NUM): Modified.
	(R_RISCV_TLSDESC): New.
	(R_RISCV_GOT32_PCREL): New.
	(R_RISCV_TLSDESC_HI20): New.
	(R_RISCV_TLSDESC_LOAD_LO12): New.
	(R_RISCV_TLSDESC_ADD_LO12): New.
	(R_RISCV_TLSDESC_CALL): New.

2025-05-27  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 08d7243a6179d5a1f3f65a53aba1ec0803895aeb
	Use -std=gnu17 in build-many-glibcs.py when configuring GMP

	* scripts/build-many-glibcs.py: Modified.

2025-05-27  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 919bf1489abe634aefbcf3532617e7c5987c56ab
	malloc: Fix malloc init order

	* elf/libc_early_init.c: Modified.
	(__libc_early_init): Modified function.

2025-05-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a289cf711e0797ed8fe23a1222904fbb35560356
	Move C warning flags from +gccwarn to +gccwarn-c

	* Makeconfig: Modified.

2025-05-27  Jonathan Wakely  <jwakely@redhat.com>

	COMMIT: a484b76cd7d094c2c82d8dbb7a1a2c0d3709d16a
	doc: Add missing space in documentation of __TIMESIZE

	* manual/maint.texi: Modified.

2025-05-27  Jonathan Wakely  <jwakely@redhat.com>

	COMMIT: b4784d61b316ce65abc1c42c65c46b84d160eaba
	doc: Fix typos in documentation of _TIME_BITS

	* manual/creature.texi: Modified.

2025-05-27  Jonathan Wakely  <jwakely@redhat.com>

	COMMIT: a2d2c62072bb08f9f985a026562d7e81a4abeb60
	Fix comment typo in libc-symbols.h

	* include/libc-symbols.h: Modified.

2025-05-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 03da41d47dc73674307e6ffc5b75e9043febc698
	Turn on -Wmissing-parameter-name by default if available

	* Makeconfig: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2025-05-26  Tomas Volf  <~@wolfsden.cz>

	COMMIT: 99c70ae6e9e4214e6be71d48d174576a50e350a7
	manual: Document getopt_long_only with single letter options (bug 32980)

	* manual/getopt.texi: Modified.

2025-05-26  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4f4c4fcde76aedc1f5362a51d98ebb57a28fbce9
	Turn on -Wfree-labels by default if available

	* Makeconfig: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2025-05-23  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 319f94dea2b7eeff12adb22ee50b46b64dd6a52d
	S390: Use cfi_val_offset instead of cfi_escape. 31bit part

	* sysdeps/s390/s390-32/s390-mcount.S: Modified.

2025-05-23  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 7ad95d5506766edf7ded4e0b33d13b7dc264cdb4
	libmvec: Add inputs for asinpi(f), acospi(f), atanpi(f) and atan2pi(f)

	* benchtests/libmvec/acospi-inputs: New file.
	* benchtests/libmvec/acospif-inputs: New file.
	* benchtests/libmvec/asinpi-inputs: New file.
	* benchtests/libmvec/asinpif-inputs: New file.
	* benchtests/libmvec/atan2pi-inputs: New file.
	* benchtests/libmvec/atan2pif-inputs: New file.
	* benchtests/libmvec/atanpi-inputs: New file.
	* benchtests/libmvec/atanpif-inputs: New file.

2025-05-22  Mark Wielaard  <mark@klomp.org>

	COMMIT: 7b9881c2c8841ef135ce897d459123dfe9dd3a06
	INSTALL: Regenerate with texinfo 7.2

	* INSTALL: Modified.

2025-05-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3a3fb2ed83f79100c116c824454095ecfb335ad7
	Fix error reporting (false negatives) in SGID tests

	* elf/tst-dlopen-sgid.c: Modified.
	(do_test): Modified function.
	* elf/tst-env-setuid-tunables.c: Modified.
	(do_test): Modified function.
	* elf/tst-env-setuid.c: Modified.
	(do_test): Modified function.
	* stdlib/tst-secure-getenv.c: Modified.
	(do_test): Modified function.
	(alternative_main): Modified function.
	* support/capture_subprocess.h: Modified.
	(support_capture_subprogram_self_sgid): Modified.
	* support/support_capture_subprocess.c: Modified.
	(copy_and_spawn_sgid): Modified function.
	(support_capture_subprogram_self_sgid): Modified function.
	(support/temp_file.h): Include file.

2025-05-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 4052d99ead880797cf271309fd87ddd2b95bd353
	manual: Use more inclusive language in comments.

	* manual/libc.texinfo: Modified.

2025-05-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 7f9e894fb8d3526690d1db50103c4ac5fa107249
	Makerules: Use 'original' instead of 'master' in source.

	* Makerules: Modified.

2025-05-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 801d566dde560a2b9cf09ff497f8237994c52f93
	gen-libm-test: Use 'original source' instead of 'master' in code.

	* math/gen-libm-test.py: Modified.

2025-05-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 37a32c243f00771baee9a75b5b57dc1e74862e9e
	nss_test1: Use 'parametrized template' instead of 'master' in comment.

	* nss/nss_test1.c: Modified.

2025-05-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 6a9df2a4032f3c4cffd0ad6557edcfbb7692acb1
	linknamespace: Use 'ALLOWLIST' instead of 'WHITELIST' in code.

	* conform/linknamespace.py: Modified.

2025-05-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 1b71a7350084891b788952000ff0472cf38d7392
	posix: Use more inclusive language in test data.

	* posix/tst-regex.input: Modified.

2025-05-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 078c18d358e08e4222eda6bdf43c828e1b6928df
	pylintrc: Remove obsolete ignore section and comments.

	* scripts/pylintrc: Modified.

2025-05-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2f769cec448d84a62b7dd0d4ff56978fe22c0cd6
	support: Pick group in support_capture_subprogram_self_sgid if UID == 0

	* support/support_capture_subprocess.c: Modified.
	(support_capture_subprogram_self_sgid): Modified function.
	(grp.h): Include file.
	(scratch_buffer.h): Include file.
	(stdio_ext.h): Include file.
	(string.h): Include file.
	(find_sgid_group): New function.

2025-05-21  Andreas Schwab  <schwab@suse.de>

	COMMIT: d3e0f63fb942b86de41452da0efda7835a951f07
	ldbl-128: also disable lgammaf128_r builtin when building lgammal_r

	* sysdeps/ieee754/ldbl-128/Makefile: Modified.

2025-05-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 35fc356fa3b4f485bd3ba3114c9f774e5df7d3c2
	elf: Fix subprocess status handling for tst-dlopen-sgid (bug 32987)

	* elf/tst-dlopen-sgid.c: Modified.
	(do_test): Modified function.
	(support/test-driver.h): Include file.
	(sys/wait.h): Include file.

2025-05-20  Sunil K Pandey  <sunil.k.pandey@intel.com>

	COMMIT: f2aeb6ff941dccc4c777b5621e77addea6cc076c
	x86_64: Fix typo in ifunc-impl-list.c.

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2025-05-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d8f7a79335b0d861c12c42aec94c04cd5bb181e2
	elf: Test case for bug 32976 (CVE-2025-4802)

	* elf/Makefile: Modified.
	* elf/tst-dlopen-sgid-mod.c: New file.
	* elf/tst-dlopen-sgid.c: New file.

2025-05-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f0c09fe61678df6f7f18fe1ebff074e62fa5ca7a
	support: Use const char * argument in support_capture_subprogram_self_sgid

	* support/capture_subprocess.h: Modified.
	(support_capture_subprogram_self_sgid): Modified.
	* support/support_capture_subprocess.c: Modified.
	(copy_and_spawn_sgid): Modified function.
	(support_capture_subprogram_self_sgid): Modified function.

2025-05-20  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 2071666d0387c3723db3141ee026e963ac840a4e
	AArch64: Fix typo in math-vector.h

	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2vv_atanpi2): Remove.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2vv_atan2pi): New function.

2025-05-20  Andreas Schwab  <schwab@suse.de>

	COMMIT: b1f33b2eeb4e3699698de13a83bbaddba5a21435
	Fix typos in ldbl-opt makefile

	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.

2025-05-20  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: b990b0aee2c20d45d53b1964b14b98a8d5e05fe6
	AArch64: Cleanup SVE config and defines

	* config.h.in: Modified.
	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(__typeof): Modified function.
	* sysdeps/aarch64/multiarch/memcpy_a64fx.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_sve.S: Modified.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	(__typeof): Modified function.
	* sysdeps/aarch64/multiarch/memset.c: Modified.
	(__typeof): Modified function.
	* sysdeps/aarch64/multiarch/memset_a64fx.S: Modified.
	* sysdeps/aarch64/multiarch/memset_sve_zva64.S: Modified.

2025-05-19  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 2c421fc4302ecb729823ca442f9dfab95afba752
	AArch64: Cleanup PAC and BTI

	* config.h.in: Modified.
	* elf/tst-asm-helper.h: Modified.
	[HAVE_AARCH64_BTI](GNU_PROPERTY): Remove.
	[HAVE_AARCH64_BTI && HAVE_AARCH64_PAC_RET](GNU_PROPERTY): Remove.
	(FEATURE_1_AND): Remove.
	(FEATURE_1_BTI): Remove.
	(FEATURE_1_PAC): Remove.
	(FEATURE_1_GCS): Remove.
	(GNU_PROPERTY): Remove.
	[__aarch64__](FEATURE_1_AND): New.
	[__aarch64__](FEATURE_1_BTI): New.
	[__aarch64__](FEATURE_1_PAC): New.
	[__aarch64__](FEATURE_1_GCS): New.
	[__aarch64__](GNU_PROPERTY): New.
	[__aarch64__](GNU_PROPERTY): New.
	* sysdeps/aarch64/__arm_za_disable.S: Modified.
	* sysdeps/aarch64/__longjmp.S: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.
	* sysdeps/aarch64/crti.S: Modified.
	* sysdeps/aarch64/crtn.S: Modified.
	* sysdeps/aarch64/dl-tlsdesc.S: Modified.
	* sysdeps/aarch64/dl-trampoline.S: Modified.
	* sysdeps/aarch64/machine-gmon.h: Modified.
	(MCOUNT): Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/init-arch.h: Modified.
	(INIT_ARCH): Modified.
	* sysdeps/aarch64/multiarch/memcpy_a64fx.S: Modified.
	* sysdeps/aarch64/multiarch/memset_a64fx.S: Modified.
	* sysdeps/aarch64/setjmp.S: Modified.
	* sysdeps/aarch64/start.S: Modified.
	* sysdeps/aarch64/sysdep.h: Modified.
	[! __ASSEMBLER__][HAVE_AARCH64_PAC_RET](RETURN_ADDRESS): Remove.
	[! __ASSEMBLER__](strip_pac): Remove.
	[__ASSEMBLER__][! HAVE_AARCH64_BTI](BTI_C): Remove.
	[__ASSEMBLER__][! HAVE_AARCH64_BTI](BTI_J): Remove.
	[__ASSEMBLER__][HAVE_AARCH64_BTI](BTI_C): Remove.
	[__ASSEMBLER__][HAVE_AARCH64_BTI](BTI_J): Remove.
	[__ASSEMBLER__][HAVE_AARCH64_BTI](GNU_PROPERTY): Remove.
	[__ASSEMBLER__][HAVE_AARCH64_BTI && HAVE_AARCH64_PAC_RET](GNU_PROPERTY): Remove.
	[__ASSEMBLER__](PACIASP): Remove.
	[__ASSEMBLER__](AUTIASP): Remove.
	[__ASSEMBLER__](ENTRY): Modified.
	[__ASSEMBLER__](ENTRY_ALIGN): Modified.
	[__ASSEMBLER__](ENTRY_ALIGN_AND_PAD): Modified.
	[__ASSEMBLER__](cfi_negate_ra_state): New.
	[__ASSEMBLER__](GNU_PROPERTY): New.
	* sysdeps/unix/sysv/linux/aarch64/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/swapcontext.S: Modified.

2025-05-19  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: 96abd59bf2a11ddd4e7ccaac840ec13c0b62d3ba
	AArch64: Implement AdvSIMD and SVE atan2pi/f

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pi): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pil): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2pif128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/atan2pi_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atan2pi_sve.c: New file.
	* sysdeps/aarch64/fpu/atan2pif_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atan2pif_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4vv_atan2pif): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2vv_atanpi2): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_atan2pif): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_atan2pi): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atan2pi): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atan2pif): New.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): Modified.
	(SVE_VECTOR_WRAPPER_ff): Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): Modified.
	(SVE_VECTOR_WRAPPER_ff): Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-05-19  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: edf620281501fbf314855aa9b321688f280e9220
	AArch64: Implement AdvSIMD and SVE atanpi/f

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpi): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpil): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanpif128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/atanpi_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atanpi_sve.c: New file.
	* sysdeps/aarch64/fpu/atanpif_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atanpif_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_atanpif): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_atanpi): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_atanpif): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_atanpi): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atanpi): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atanpif): New.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-05-19  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: 0ef2cf44e7784fc357660d80aed72f195485439f
	AArch64: Implement AdvSIMD and SVE asinpi/f

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpi): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpil): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinpif128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/asinpi_advsimd.c: New file.
	* sysdeps/aarch64/fpu/asinpi_sve.c: New file.
	* sysdeps/aarch64/fpu/asinpif_advsimd.c: New file.
	* sysdeps/aarch64/fpu/asinpif_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_asinpif): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_asinpi): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_asinpif): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_asinpi): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_asinpi): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_asinpif): New.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-05-19  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: 993997ca1b77dfdea27ae56f3afacfab26dd4e60
	AArch64: Implement AdvSIMD and SVE acospi/f

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospi): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospil): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acospif128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/acospi_advsimd.c: New file.
	* sysdeps/aarch64/fpu/acospi_sve.c: New file.
	* sysdeps/aarch64/fpu/acospif_advsimd.c: New file.
	* sysdeps/aarch64/fpu/acospif_sve.c: New file.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_acospif): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_acospi): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_acospif): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_acospi): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_acospi): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_acospif): New.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-05-19  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: 1e84509e0041c0a83997aba602a585bb3b8285f0
	AArch64: Optimize inverse trig functions

	* sysdeps/aarch64/fpu/acos_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/acos_sve.c: Modified.
	(poly_sve_f64.h): Remove include.
	(data): Modified.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/asin_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/asin_sve.c: Modified.
	(poly_sve_f64.h): Remove include.
	(data): Modified.
	(P): Remove.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/asinf_advsimd.c: Modified.
	(poly_advsimd_f32.h): Remove include.
	(data): Modified.
	(Half): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/atan2_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(V_NAME_D2): Modified function.
	* sysdeps/aarch64/fpu/atan2_sve.c: Modified.
	(poly_sve_f64.h): Remove include.
	(data): Modified.
	(SV_NAME_D2): Modified function.
	* sysdeps/aarch64/fpu/atan2f_advsimd.c: Modified.
	(poly_advsimd_f32.h): Remove include.
	(data): Modified.
	(zeroinfnan): Modified function.
	(V_NAME_F2): Modified function.
	* sysdeps/aarch64/fpu/atan2f_sve.c: Modified.
	(poly_sve_f32.h): Remove include.
	(data): Modified.
	(SV_NAME_F2): Modified function.
	* sysdeps/aarch64/fpu/atan_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/atan_sve.c: Modified.
	(poly_sve_f64.h): Remove include.
	(data): Modified.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/atanf_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](TinyBound): New.
	[WANT_SIMD_EXCEPT](BigBound): New.
	(data): Modified.
	(SignMask): Remove.
	(P): Remove.
	(TinyBound): Remove.
	(BigBound): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/atanf_sve.c: Modified.
	(poly_sve_f32.h): Remove include.
	(data): Modified.
	(SV_NAME_F1): Modified function.

2025-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 1e18586c5820e329f741d5c710275e165581380e
	Document CVE-2025-4802.

	* advisories/GLIBC-SA-2025-0002: New file.

2025-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2745db8dd3ec31045acd761b612516490085bc20
	ctype: Fallback initialization of TLS using relocations (bug 19341, bug 32483)

	* ctype/Makefile: Modified.
	* ctype/ctype-info.c: Modified.
	(__libc_tsd_CTYPE_B): Remove.
	(__libc_tsd_CTYPE_TOLOWER): Remove.
	(__libc_tsd_CTYPE_TOUPPER): Remove.
	(__libc_tsd_CTYPE_B): New.
	(__libc_tsd_CTYPE_TOLOWER): New.
	(__libc_tsd_CTYPE_TOUPPER): New.
	* ctype/tst-ctype-tls-dlmopen.c: New file.
	* ctype/tst-ctype-tls-dlopen-static.c: New file.
	* ctype/tst-ctype-tls-mod.c: New file.
	* ctype/tst-ctype-tls-skeleton.c: New file.

2025-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e0c0f856f58ceb68800a964c36c15c606e7a8c4c
	Use proper extern declaration for _nl_C_LC_CTYPE_{class,toupper,tolower}

	* ctype/ctype-info.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_3)](_nl_C_LC_CTYPE_class): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_3)](_nl_C_LC_CTYPE_toupper): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_3)](_nl_C_LC_CTYPE_tolower): Remove.
	* include/ctype.h: Modified.
	[! _ISOMAC][IS_IN (libc)](_nl_C_LC_CTYPE_class): New.
	[! _ISOMAC][IS_IN (libc)](_nl_C_LC_CTYPE_toupper): New.
	[! _ISOMAC][IS_IN (libc)](_nl_C_LC_CTYPE_tolower): New.
	* locale/xlocale.c: Modified.
	(_nl_C_LC_CTYPE_class): Remove.
	(_nl_C_LC_CTYPE_toupper): Remove.
	(_nl_C_LC_CTYPE_tolower): Remove.
	(ctype.h): Include file.

2025-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a894f04d877653bea1639fc9a4adf73bd9347bf4
	Optimize __libc_tsd_* thread variable access

	* include/ctype.h: Modified.
	[! _ISOMAC][IS_IN (libc)](__libc_tsd_CTYPE_B): Modified.
	[! _ISOMAC][IS_IN (libc)](__libc_tsd_CTYPE_TOUPPER): Modified.
	[! _ISOMAC][IS_IN (libc)](__libc_tsd_CTYPE_TOLOWER): Modified.
	* include/rpc/rpc.h: Modified.
	[! _ISOMAC](__libc_tsd_RPC_VARS): Modified.
	* locale/localeinfo.h: Modified.
	(__libc_tsd_LOCALE): Modified.

2025-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 10a66a8e421b09682b774c795ef1da402235dddc
	Remove <libc-tsd.h>

	* ctype/ctype-info.c: Modified.
	(__libc_tsd_define): Remove function.
	(__libc_tsd_CTYPE_B): New.
	(__libc_tsd_CTYPE_TOLOWER): New.
	(__libc_tsd_CTYPE_TOUPPER): New.
	(__ctype_init): New function.
	* include/ctype.h: Modified.
	[! _ISOMAC][IS_IN (libc)](libc-tsd.h): Remove include.
	[! _ISOMAC][IS_IN (libc)](__libc_tsd_define): Remove function.
	[! _ISOMAC][IS_IN (libc)](__ctype_toupper_loc): Modified function.
	[! _ISOMAC][IS_IN (libc)](__ctype_tolower_loc): Modified function.
	[! _ISOMAC][IS_IN (libc)](__libc_tsd_CTYPE_B): New.
	[! _ISOMAC][IS_IN (libc)](__libc_tsd_CTYPE_TOUPPER): New.
	[! _ISOMAC][IS_IN (libc)](__libc_tsd_CTYPE_TOLOWER): New.
	[! _ISOMAC][IS_IN (libc)](__ctype_b_loc): New function.
	* include/rpc/rpc.h: Modified.
	[! _ISOMAC](libc-tsd.h): Remove include.
	[! _ISOMAC](__libc_tsd_define): Remove.
	[! _ISOMAC](__libc_tsd_RPC_VARS): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](__libc_rpc_gethostbyname): New function.
	* locale/lc-ctype.c: Modified.
	(_nl_postload_ctype): Modified function.
	* locale/localeinfo.h: Modified.
	[SHARED][NL_CURRENT_INDIRECT][! HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_DEFINE_ABS): Remove.
	[SHARED][NL_CURRENT_INDIRECT][! HAVE_ASM_SET_DIRECTIVE](__libc_tsd_define): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_DEFINE_ABS): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](__libc_tsd_define): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_DATA): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_WSTR): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_WORD): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_DEFINE): Remove.
	[SHARED][NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](__libc_tsd_define): Remove.
	[SHARED][NL_CURRENT_INDIRECT](DEFINE_CATEGORY): Remove.
	[SHARED][NL_CURRENT_INDIRECT](categories.def): Remove.
	[SHARED][NL_CURRENT_INDIRECT](DEFINE_CATEGORY): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_NL_CURRENT_DATA): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_NL_CURRENT): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_NL_CURRENT_WSTR): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_NL_CURRENT_WORD): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_NL_CURRENT_DEFINE): Remove.
	[SHARED][NL_CURRENT_INDIRECT](__libc_tsd_define): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_lookup_word): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_default_locale_path): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_find_locale): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_load_locale): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_unload_locale): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_remove_locale): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_load_locale_from_archive): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_archive_subfreeres): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_locale_subfreeres): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_intern_locale_data): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_get_era_entry): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_select_era_entry): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_get_alt_digit): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_get_walt_digit): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_parse_alt_digit): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_postload_ctype): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_cleanup_ctype): Remove.
	[SHARED][NL_CURRENT_INDIRECT](_nl_cleanup_time): Remove.
	(_NL_CURRENT_LOCALE): Modified.
	(libc-tsd.h): Remove include.
	[! NL_CURRENT_INDIRECT](_NL_CURRENT_DATA): New.
	[! NL_CURRENT_INDIRECT](_NL_CURRENT): New.
	[! NL_CURRENT_INDIRECT](_NL_CURRENT_WSTR): New.
	[! NL_CURRENT_INDIRECT](_NL_CURRENT_WORD): New.
	[! NL_CURRENT_INDIRECT](_NL_CURRENT_DEFINE): New.
	[NL_CURRENT_INDIRECT][! HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_DEFINE_ABS): New.
	[NL_CURRENT_INDIRECT][HAVE_ASM_SET_DIRECTIVE](_NL_CURRENT_DEFINE_ABS): New.
	[NL_CURRENT_INDIRECT](DEFINE_CATEGORY): New.
	[NL_CURRENT_INDIRECT](categories.def): New.
	[NL_CURRENT_INDIRECT](DEFINE_CATEGORY): New.
	[NL_CURRENT_INDIRECT](_NL_CURRENT_DATA): New.
	[NL_CURRENT_INDIRECT](_NL_CURRENT): New.
	[NL_CURRENT_INDIRECT](_NL_CURRENT_WSTR): New.
	[NL_CURRENT_INDIRECT](_NL_CURRENT_WORD): New.
	[NL_CURRENT_INDIRECT](_NL_CURRENT_DEFINE): New.
	(__libc_tsd_LOCALE): New.
	(_nl_lookup): New function.
	(_nl_lookup_wstr): New function.
	(_nl_lookup_word): New function.
	(_nl_default_locale_path): New.
	(_nl_find_locale): New function.
	(_nl_load_locale): New function.
	(_nl_unload_locale): New function.
	(_nl_remove_locale): New function.
	(_nl_load_locale_from_archive): New function.
	(_nl_archive_subfreeres): New function.
	(_nl_locale_subfreeres): New function.
	(_nl_intern_locale_data): New function.
	(_nl_get_era_entry): New function.
	(_nl_select_era_entry): New function.
	(_nl_get_alt_digit): New function.
	(_nl_get_walt_digit): New function.
	(_nl_parse_alt_digit): New function.
	(_nl_postload_ctype): New function.
	(_nl_cleanup_ctype): New function.
	(_nl_cleanup_time): New function.
	* locale/uselocale.c: Modified.
	(__uselocale): Modified function.
	* stdio-common/printf-parsemb.c: Modified.
	(errno.h): Include file.
	* string/strerror.c: Modified.
	(strerror): Modified function.
	* sunrpc/rpc_thread.c: Modified.
	(libc-tsd.h): Remove include.
	* sysdeps/generic/libc-tsd.h: Delete file.
	* time/strftime_l.c: Modified.
	(errno.h): Include file.

2025-05-16  DJ Delorie  <dj@redhat.com>

	COMMIT: 579f8668816b35f8302e89e5255aff60b81938df
	manual: add sched_getcpu()

	* manual/resource.texi: Modified.

2025-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6c9bb270d6a624f82a38443545e3d99f5b1e07e1
	manual: Clarifications for listing directories

	* manual/filesys.texi: Modified.

2025-05-15  DJ Delorie  <dj@redhat.com>

	COMMIT: 21e54f160f6245f959cca1f48bad9cca487c2570
	manual: add remaining CPU_* macros

	* manual/resource.texi: Modified.

2025-05-15  Andreas Schwab  <schwab@suse.de>

	COMMIT: eb7a681b829b784348557967a8eaa60259777f8b
	powerpc: Remove check for -mabi=ibmlongdouble

	* sysdeps/unix/sysv/linux/powerpc/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure.ac: Modified.

2025-05-15  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 251f93262483b9c1184f5b72993d77a5d1c95f68
	aarch64: update tests for SME

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/tst-sme-helper.h: New file.
	* sysdeps/aarch64/tst-sme-jmp.c: Modified.
	(blk): Remove.
	(svl): Remove.
	(get_svl): Remove function.
	(start_za): Remove function.
	(get_svcr): Remove function.
	(load_za): Remove function.
	(set_tpidr2): Remove function.
	(get_tpidr2): Remove function.
	(longjmp_test): Modified function.
	(tst-sme-helper.h): Include file.
	* sysdeps/aarch64/tst-sme-za-state.c: New file.

2025-05-15  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: a7f6fd976c17b82dc198290b4ab7087f35855a0e
	aarch64: Disable ZA state of SME in setjmp and sigsetjmp

	* sysdeps/aarch64/setjmp.S: Modified.

2025-05-15  Cupertino Miranda  <cupertino.miranda@oracle.com>

	COMMIT: c6bf6d1897c9f2eebf7efd0eef231025764bf146
	benchtest: malloc tcache hotpath benchtest

	* benchtests/Makefile: Modified.
	* benchtests/bench-calloc-tcache.c: New file.
	* benchtests/bench-malloc-tcache.c: New file.

2025-05-14  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 06caf53adfae0c93062edd62f83eed16ab5cec0b
	Implement C23 rootn.

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-rootn: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-rootn.inc: New file.
	* math/s_rootn_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](rootn): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-rootn.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2025-05-14  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 36189c76fb9c0b281de23381ae5a462a7e102ee6
	malloc: Improve performance of __libc_calloc

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_calloc): Modified function.
	[IS_IN (libc)](__libc_calloc2): New function.
	[IS_IN (libc)](__libc_calloc2): New function.
	[USE_TCACHE](tcache_calloc_init): New function.

2025-05-14  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 0fc76d876261ee8253fef198ffec48c832edd4ff
	S390: Use cfi_val_offset instead of cfi_escape.

	* sysdeps/generic/sysdep.h: Modified.
	[! __ASSEMBLER__](CFI_VAL_OFFSET): New.
	[__ASSEMBLER__](cfi_val_offset): New.
	* sysdeps/s390/s390-64/s390x-mcount.h: Modified.

2025-05-14  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 4b1ffb828c374e39377a5427151f69bb1ac2bdcc
	powerpc64le: Remove configure check for objcopy >= 2.26.

	* INSTALL: Modified.
	* manual/install.texi: Modified.
	* sysdeps/powerpc/powerpc64/le/configure: Modified.
	* sysdeps/powerpc/powerpc64/le/configure.ac: Modified.

2025-05-14  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: e53ab20892771a9b7f26701c30a181c6cea5e4bd
	Raise the minimum binutils version to 2.39

	* INSTALL: Modified.
	* NEWS: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.

2025-05-13  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: ad966bc4efd9e69cbbda2073121cc68f1deb9588
	added benchtest inputs for log2l

	* benchtests/Makefile: Modified.
	* benchtests/log2l-inputs: New file.

2025-05-13  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: aa4c6004830072353d41184f2db86c9c40523591
	added benchtest inputs for expl

	* benchtests/Makefile: Modified.
	* benchtests/expl-inputs: New file.

2025-05-13  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 691edbdf7727466ba87e27a8eeae1c3bc5824ef5
	aarch64: fix unwinding in longjmp

	* sysdeps/aarch64/__longjmp.S: Modified.

2025-05-13  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: 2d9f479f378f75114496e2cbf073e0d6a49a2d5f
	added benchtest inputs for powl

	* benchtests/Makefile: Modified.
	* benchtests/powl-inputs: New file.

2025-05-13  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: 442ddedc07c006523224827cae1ae27102d8108e
	added benchtest inputs for fmal

	* benchtests/Makefile: Modified.
	* benchtests/fmal-inputs: New file.

2025-05-12  DJ Delorie  <dj@redhat.com>

	COMMIT: f176bf2a06b458dea8186fb2ff3bb8ea24da6d67
	manual: fix typo for sched_[sg]etattr

	* manual/resource.texi: Modified.

2025-05-12  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 25d37948c9f3f483d63302b9967b975d3bd74a4e
	malloc: Improve malloc initialization

	* elf/libc_early_init.c: Modified.
	(__libc_early_init): Modified function.
	(malloc/malloc-internal.h): Include file.
	* malloc/arena.c: Modified.
	(__malloc_initialized): Remove.
	(__malloc_fork_lock_parent): Modified function.
	(__malloc_fork_unlock_parent): Modified function.
	(__malloc_fork_unlock_child): Modified function.
	(ptmalloc_init): Remove function.
	(__ptmalloc_init): New function.
	* malloc/malloc-check.c: Modified.
	(initialize_malloc_check): Modified function.
	* malloc/malloc-internal.h: Modified.
	(__ptmalloc_init): New function.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_malloc2): Modified function.
	[IS_IN (libc)](__libc_realloc): Modified function.
	[IS_IN (libc)](__libc_memalign): Modified function.
	[IS_IN (libc)](aligned_alloc): Modified function.
	[IS_IN (libc)](__libc_valloc): Modified function.
	[IS_IN (libc)](__libc_pvalloc): Modified function.
	[IS_IN (libc)](__libc_calloc): Modified function.
	[IS_IN (libc)](__posix_memalign): Modified function.
	[USE_TCACHE](malloc_printerr_tail): Modified function.
	[USE_TCACHE](dummy_var): New.
	(__malloc_trim): Modified function.
	(__libc_mallinfo2): Modified function.
	(__malloc_stats): Modified function.
	(__libc_mallopt): Modified function.
	(__malloc_info): Modified function.

2025-05-12  Joseph Myers  <josmyers@redhat.com>

	COMMIT: f451a02a8c3c0bc6b41dac5e9e6ad49dd1c9529c
	Document all CLOCK_* values

	* manual/time.texi: Modified.

2025-05-12  David Lau  <david.lau@fau.de>

	COMMIT: eff1f680cffb005a5623d1c8a952d095b988d6a2
	malloc: Improved double free detection in the tcache

	* malloc/Makefile: Modified.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	[USE_TCACHE](tcache_double_free_verify): Modified function.
	* malloc/tst-tcfree4.c: New file.

2025-05-12  panzhe0328  <panzhe@kylinos.cn>

	COMMIT: e83207c6e67f81b2db4def8149cd3697a0237f89
	Correct spelling mistake in test file

	* localedata/tst-locale.sh: Modified.

2025-05-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 2ae4ec56c2b18c46ef8220bcddac4303a4b6ef1c
	hurd: Make rename refuse trailing slashes [BZ #32570]

	* sysdeps/mach/hurd/renameat2.c: Modified.
	(__renameat2): Modified function.

2025-05-09  Joseph Myers  <josmyers@redhat.com>

	COMMIT: ae312544325724509ca734fcade2a05497f92b26
	Implement C23 compoundn

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-compoundn: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-compoundn.inc: New file.
	* math/s_compoundn_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](compoundn): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-compoundn.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc-redirects.h: Modified.
	(F128_REDIR_PFX_R): New function.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128_private.h: Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/math-type-macros-float128.h: Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): New function.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2025-05-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f66cb3c9ebcac80b3200c3aff0e3aed6111547ba
	hurd: Fix tst-stack2 test build on Hurd

	* sysdeps/pthread/Makefile: Modified.

2025-05-06  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: b4495bd40578b455668887b9170059bb0d3c0dc5
	nss: remove undefined behavior and optimize getaddrinfo

	* nss/getaddrinfo.c: Modified.
	(fls): Remove function.
	(rfc3484_sort): Modified function.
	(stdbit.h): Include file.

2025-05-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ac4e8382899ccf4ada1cd2f1dafdcdf40d31ec7d
	powerpc: Remove POWER7 strncasecmp optimization

	* sysdeps/powerpc/powerpc32/power4/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc32/power4/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc32/power4/multiarch/strncase-power7.c: Delete file.
	* sysdeps/powerpc/powerpc32/power4/multiarch/strncase.c: Delete file.
	* sysdeps/powerpc/powerpc32/power4/multiarch/strncase_l-power7.c: Delete file.
	* sysdeps/powerpc/powerpc32/power4/multiarch/strncase_l.c: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/strncase-power7.c: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/strncase.c: Modified.
	(__strncasecmp_power7): Remove.
	(libc_ifunc): Modified.
	* sysdeps/powerpc/powerpc64/multiarch/strncase_l-power7.c: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/strncase_l.c: Delete file.

2025-05-05  DJ Delorie  <dj@redhat.com>

	COMMIT: 3270c50e4853d9356eb5892364c52cd1558860ec
	manual: add more pthread functions

	* manual/threads.texi: Modified.

2025-05-05  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 4f6dae219578d6df475864e273da40bde9d30806
	S390: Add new s390 platform z17.

	* elf/Makefile: Modified.
	* elf/tst-glibc-hwcaps-cache.script: Modified.
	* sysdeps/s390/cpu-features.c: Modified.
	(S390_COPY_CPU_FEATURES): Modified.
	(TUNABLE_CALLBACK): Modified function.
	(init_cpu_features): Modified function.
	(init_cpu_features_no_tunables): New function.
	* sysdeps/s390/cpu-features.h: Modified.
	(S390_STFLE_BITS_Z10): Remove.
	(S390_STFLE_BITS_Z196): Remove.
	(S390_STFLE_BITS_ARCH13_MIE3): Remove.
	(S390_STFLE_MASK_ARCH13_MIE3): Remove.
	(S390_IS_ARCH13_MIE3): Modified.
	(S390_IS_Z196): Modified.
	(S390_IS_Z10): Modified.
	(cpu_features): Modified.
	(S390_STFLE_BIT34_Z10): New.
	(S390_STFLE_BIT45_Z196): New.
	(S390_STFLE_BIT61_ARCH13_MIE3): New.
	(S390_STFLE_BIT84_ARCH15_MIE4): New.
	(S390_STFLE_BIT198_ARCH15_VXRS_EXT3): New.
	(S390_STFLE_BIT199_ARCH15_VXRS_PDE3): New.
	(S390_STFLE_BIT201_ARCH15_CON): New.
	(S390_IS_ARCH15): New.
	* sysdeps/s390/dl-diagnostics-cpu.c: New file.
	* sysdeps/s390/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/s390/multiarch/ifunc-resolve.h: Modified.
	(s390_libc_ifunc_expr_stfle_init): Modified.
	* sysdeps/s390/s390-64/Makefile: Modified.
	* sysdeps/s390/s390-64/dl-hwcap-check.h: Modified.
	(dl_hwcap_check): Modified function.
	* sysdeps/s390/s390-64/dl-hwcaps-subdirs.c: Modified.
	(_dl_hwcaps_subdirs): Modified.
	(<anonymous>): Modified.
	(_dl_hwcaps_subdirs_active): Modified function.
	(cpu-features.h): Include file.
	* sysdeps/s390/s390-64/tst-glibc-hwcaps.c: Modified.
	(compute_level): Modified function.
	(do_test): Modified function.
	(marker6): New function.
	* sysdeps/unix/sysv/linux/s390/sysconf.c: Modified.
	(get_cache_info): Modified function.

2025-05-01  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 59f64a1f4f3bbe2bcaf8fc1951b94e1d0e7d307e
	Correct test descriptors in libm-test-pown.inc

	* math/libm-test-pown.inc: Modified.

2025-05-01  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 5d101745814b9c1d59fb830bb044f702437f3002
	malloc: Inline tcache_try_malloc

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_malloc): Modified function.
	[IS_IN (libc)](_mid_memalign): Modified function.
	[IS_IN (libc)](__libc_calloc): Modified function.
	[USE_TCACHE](usize2tidx): Modified.
	[USE_TCACHE](tcache_try_malloc): Remove function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 84977600dace5a7cfcb0918e6757939fd4969839
	math: Fix UB on sinpif (BZ 32925)

	* sysdeps/ieee754/flt-32/s_sinpif.c: Modified.
	(__sinpif): Modified function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7a0d7fb25c22cc7237315792b0f340ec49e3783f
	math: Fix UB on erfcf (BZ 32924)

	* sysdeps/ieee754/flt-32/s_erfcf.c: Modified.
	(__erfcf): Modified function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8eeb7de8a200a43c914cfa230a25b84d3269cae2
	math: Fix UB on cospif (BZ 32923)

	* sysdeps/ieee754/flt-32/s_cospif.c: Modified.
	(__cospif): Modified function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7619c1b032229a36606862ebbb06807792bbe57d
	math: Fix UB on cbrtf (BZ 32922)

	* sysdeps/ieee754/flt-32/s_cbrtf.c: Modified.
	(__cbrtf): Modified function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c8775c0423f594543994eea268065e71b76effb0
	math: Fix UB on sinhf (BZ 32921)

	* sysdeps/ieee754/flt-32/e_sinhf.c: Modified.
	(__ieee754_sinhf): Modified function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: de0c4adf94a379873c0167f792519e91df28c3ed
	math: Fix UB on logf (BZ 32920)

	* sysdeps/ieee754/flt-32/e_logf.c: Modified.
	(__logf): Modified function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4a1b96bf522406a6ed04eb6040f61c6205cff99e
	math: Fix UB on coshf (BZ 32919)

	* sysdeps/ieee754/flt-32/e_coshf.c: Modified.
	(__ieee754_coshf): Modified function.

2025-04-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 92f7b6061d867c5e5f26e84c44a3ec2887bf6c81
	math: Fix UB on atanhf (BZ 32918)

	* sysdeps/ieee754/flt-32/e_atanhf.c: Modified.
	(__ieee754_atanhf): Modified function.

2025-04-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0c3425942374e72c3bcac28b2578117d36b0f9df
	nptl: Fix pthread_getattr_np when modules with execstack are allowed (BZ 32897)

	* elf/dl-execstack-tunable.c: Modified.
	(_dl_handle_execstack_tunable): Modified function.
	* elf/dl-execstack.c: Modified.
	(_dl_make_stack_executable): Modified function.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(_dl_map_new_object): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	(_dl_make_stack_executable): Modified.
	* sysdeps/mach/hurd/dl-execstack.c: Modified.
	(_dl_make_stack_executable): Modified function.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/tst-stack2-mod.c: New file.
	* sysdeps/pthread/tst-stack2.c: New file.
	* sysdeps/unix/sysv/linux/dl-execstack.c: Modified.
	(_dl_make_stack_executable): Modified function.

2025-04-28  Julian Zhu  <julian.oerv@isrc.iscas.ac.cn>

	COMMIT: 4c966c078036abe0e36bd86c9eaeb4501e552977
	RISC-V: Use builtin for ffs and ffsll while supported extension available

	* sysdeps/riscv/math-use-builtins-ffs.h: New file.

2025-04-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2be836fe44010d92ffffb73cd060045bb10305e4
	stdio: Remove UB on printf_fp

	* stdio-common/printf_fp.c: Modified.
	(stdlib/longlong.h): Remove include.
	(__printf_fp_buffer_1): Modified function.
	(stdbit.h): Include file.

2025-04-25  Cupertino Miranda  <cupertino.miranda@oracle.com>
            Wangyang Guo  <wangyang.guo@intel.com>

	COMMIT: 77930e0447e0b37a129db0e13c6c6f5e60a3019e
	benchtest: Correct shell script related to bench-malloc-thread

	* benchtests/Makefile: Modified.

2025-04-25  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: e04afb71771710cdc6025fe95908f5f17de7b72d
	linux/termio: remove <termio.h> and struct termio

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/ioctl-types.h: Modified.
	(NCC): Remove.
	(termio): Remove.
	* sysdeps/unix/sysv/linux/mips/bits/ioctl-types.h: Modified.
	(NCC): Remove.
	(termio): Remove.
	* sysdeps/unix/sysv/linux/powerpc/bits/ioctl-types.h: Modified.
	(NCC): Remove.
	(termio): Remove.
	* sysdeps/unix/sysv/linux/termio.h: Delete file.

2025-04-22  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: e78caeb4ff812ae19d24d65f4d4d48508154277b
	elf: tst-audit10: split AVX512F code into dedicated functions [BZ #32882]

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/tst-auditmod10b.c: Modified.
	[! __AVX512F__](emmintrin.h): Remove.
	[__AVX512F__](immintrin.h): Remove.
	[__AVX512F__](cpuid.h): Remove.
	[__AVX512F__](check_avx512): Remove.
	(pltenter): Modified function.
	(pltexit): Modified function.
	(immintrin.h): Include file.
	(cpuid.h): Include file.
	(check_avx512): New function.
	(pltenter_avx512f): New function.
	(pltexit_avx512f): New function.

2025-04-22  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 4e24e4d936b57f6e7809032f55cc95a4cf4d2396
	Add NT_ARM_GCS and NT_RISCV_TAGGED_ADDR_CTRL from Linux 6.13 to elf.h

	* elf/elf.h: Modified.
	(NT_ARM_GCS): New.
	(NT_RISCV_TAGGED_ADDR_CTRL): New.

2025-04-22  Joseph Myers  <josmyers@redhat.com>

	COMMIT: cf9241107d12e79073ddb03bab9de115e5e0e856
	Add AT_* constants from Linux 6.12

	* libio/stdio.h: Modified.
	[__USE_GNU](AT_RENAME_NOREPLACE): New.
	[__USE_GNU](AT_RENAME_EXCHANGE): New.
	[__USE_GNU](AT_RENAME_WHITEOUT): New.
	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[__USE_GNU](AT_HANDLE_MNT_ID_UNIQUE): New.

2025-04-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 39183b953c68a489cc0b9aefb8974711c834fb38
	hurd: Make symlink return EEXIST on existing target directory

	* sysdeps/mach/hurd/symlinkat.c: Modified.
	(__symlinkat): Modified function.

2025-04-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0d9971468087c77e8727638123ae4aa60724e0ff
	hurd: Clear FP exceptions before calling signal handler

	* sysdeps/mach/hurd/x86/trampoline.c: Modified.
	[! __x86_64__](asm): Modified.
	[! __x86_64__](asm): Modified.
	[__x86_64__](asm): Modified.

2025-04-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0f2df19d9535d234b31c65f84a6c67ac2e0bd027
	hurd: Do not check for xstate level if it was not initialized

	* sysdeps/mach/hurd/x86/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2025-04-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 8d54b428cfe98c21049f94c8af3bf302e44091e9
	hurd: Do not restore xstate when it is not initialized

	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(__sigreturn): Modified function.
	* sysdeps/mach/hurd/x86_64/sigreturn.c: Modified.
	(__sigreturn): Modified function.

2025-04-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d58ebf51bca1a30e1a07e800e3823f4c96029da0
	hurd: Make *utime*s catch invalid times [BZ #32802, BZ #32803]

	* sysdeps/mach/hurd/futimens.c: Modified.
	(__futimens): Modified function.
	* sysdeps/mach/hurd/futimes.c: Modified.
	(__futimes): Modified function.
	* sysdeps/mach/hurd/utime-helper.c: Modified.
	(utime_ts_from_tval): Modified function.
	(utime_tvalue_from_tval): Modified function.
	(hurd_futimes): Modified function.
	(utime_ts_from_tspec): Modified function.
	(utime_tvalue_from_tspec): Modified function.
	(hurd_futimens): Modified function.
	(check_tval): New function.
	(check_tspec): New function.

2025-04-18  Luca Dariz  <luca@orpolo.org>

	COMMIT: 6d6a6e2dd2133908e3f5cb8a2ed817ccb2a0bb06
	hurd: save xstate during signal handling

	* hurd/Makefile: Modified.
	* hurd/test-sig-rpc-interrupted.c: New file.
	* hurd/test-sig-xstate.c: New file.
	* hurd/test-xstate.h: New file.
	* sysdeps/mach/hurd/i386/bits/sigcontext.h: Modified.
	(sigcontext): Modified.
	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(__sigreturn): Modified function.
	(cpuid.h): Include file.
	* sysdeps/mach/hurd/x86/trampoline.c: Modified.
	[! __x86_64__](mach/i386/mach_i386.h): Include file.
	[__x86_64__](mach/x86_64/mach_i386.h): Include file.
	(_hurd_setup_sighandler): Modified function.
	* sysdeps/mach/hurd/x86_64/bits/sigcontext.h: Modified.
	(sigcontext): Modified.
	* sysdeps/mach/hurd/x86_64/sigreturn.c: Modified.
	(__sigreturn): Modified function.
	(cpuid.h): Include file.

2025-04-18  Zhaoming Luo  <zhmingluo@163.com>

	COMMIT: e150ee870907e1c5ded4aad8d22a92a98f59d243
	hurd: Check return value of mach_port_mod_refs() in the dup routine of fcntl()

	* sysdeps/mach/hurd/dup3.c: Modified.
	(__dup3): Modified function.
	* sysdeps/mach/hurd/fcntl.c: Modified.
	(__libc_fcntl): Modified function.

2025-04-16  Cupertino Miranda  <cupertino.miranda@oracle.com>

	COMMIT: 1c9ac027a5deb6c3e026be0e88d38959529e6102
	malloc: move tcache_init out of hot tcache paths

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](_mid_memalign): Modified function.
	[USE_TCACHE](tcache_init): Modified function.
	[USE_TCACHE](tcache_try_malloc): Modified function.
	(_int_free_chunk): Modified function.

2025-04-15  Andrew Pinski  <quic_apinski@quicinc.com>

	COMMIT: ceeffd970c56893885cbf8382ae34b015f177850
	aarch64: Add back non-temporal load/stores from oryon-1's memset

	* sysdeps/aarch64/multiarch/memset_oryon1.S: Modified.

2025-04-15  Andrew Pinski  <quic_apinski@quicinc.com>

	COMMIT: 0e1aa5db738ac7c73599a3e7f1a0b70b99f99e0a
	aarch64: Add back non-temporal load/stores from oryon-1's memcpy

	* sysdeps/aarch64/multiarch/memcpy_oryon1.S: Modified.

2025-04-15  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: c968fe50628db74b52124d863cd828225a1d305c
	malloc: Use tailcalls in __libc_free

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	[USE_TCACHE](tcache_double_free_verify): Modified function.
	[USE_TCACHE](malloc_printerr_tail): New function.
	[USE_TCACHE](void): New.
	[USE_TCACHE](malloc_printerr_tail): New function.
	(_int_free_chunk): Modified function.

2025-04-15  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 393b1a6e50883e451b31dd4f3fec73e167d14ab4
	malloc: Inline tcache_free

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	[USE_TCACHE](tcache_free): Remove function.

2025-04-15  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 9b0c8ced9c71a86f68d3e29693979dad6da3b79d
	malloc: Improve free checks

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.

2025-04-15  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 0296654d61ffa095fc7729f1efafa7d0e4fa4f7a
	malloc: Inline _int_free_check

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	(_int_free_check): Remove.
	(void): Modified.
	(_int_free_check): Remove function.
	(void): Modified.
	(void): Modified.
	(void): Remove.

2025-04-14  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 69da24fbc5861fbf30c29c89154020a5c40342ca
	malloc: Inline _int_free

	* malloc/malloc-check.c: Modified.
	(free_check): Modified function.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	(_int_free): Remove.
	(void): Modified.
	(_int_free): Remove function.
	(void): Modified.
	(void): Modified.
	(void): Remove.

2025-04-14  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: b0cb99bef5a2142563c49c908c2139310904404a
	malloc: Move mmap code out of __libc_free hotpath

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	[USE_TCACHE](tcache_init): Modified function.
	(_int_free_check): Modified function.
	(_int_free_chunk): Modified function.

2025-04-14  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 9df92958c196f7a0be51a204a19caafe2f45a22d
	manual/tunables: fix a trivial typo

	* manual/tunables.texi: Modified.

2025-04-14  Colin Ian King  <colin.i.king@gmail.com>

	COMMIT: 1f8f322823afd67a7ea1adad454332aa1b040254
	Fix spelling mistake "trucate" -> "truncate"

	* posix/tst-truncate-common.c: Modified.
	(do_prepare): Modified function.

2025-04-14  Colin Ian King  <colin.i.king@gmail.com>

	COMMIT: 1d7834cac3d8a570b84bf1af1205a6897b747a01
	Fix spelling mistake "suports" -> "supports"

	* math/test-fesetexcept-traps.c: Modified.
	(do_test): Modified function.
	* math/test-fexcept-traps.c: Modified.
	(do_test): Modified function.

2025-04-14  Colin Ian King  <colin.i.king@gmail.com>

	COMMIT: a1805753ac461ed211a0627b9b58e662d84b34dd
	Fix spelling mistake "succsefully" -> "successfully"

	* sysdeps/pthread/tst-stdio2.c: Modified.
	(do_test): Modified function.

2025-04-14  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 363bbdbd2aeaae1e00f3872f2ba19a4a3c17bdf1
	manual: Mention POSIX-1.2024 requires time_t to be 64 bit or wider.

	* manual/time.texi: Modified.

2025-04-14  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 93623c03d527dcec76694ab0fcc197193922d1a8
	manual: Update standardization of getline and getdelim [BZ #32830]

	* manual/stdio.texi: Modified.

2025-04-14  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 11e188659db264f6b101d8eb65824ffa5bc91a0a
	libio: Add test case for fflush

	* libio/Makefile: Modified.
	* libio/tst-fflush-NULL.c: New file.
	* libio/tst-fflush-skeleton.c: New file.
	* libio/tst-fflush.c: New file.

2025-04-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7b47b3dd214c8ff2c699f13efe5533941be53635
	libio: Synthesize ESPIPE error if lseek returns 0 after reading bytes

	* libio/fileops.c: Modified.
	(do_ftell): Modified function.
	* stdio-common/Makefile: Modified.
	* stdio-common/tst-fclose-devzero.c: New file.

2025-04-12  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: de14f1959ee5f9b845a7cae43bee03068b8136f0
	x86: Detect Intel Diamond Rapids

	* sysdeps/x86/cpu-features.c: Modified.
	(intel_microarch): Modified.
	(init_cpu_features): Modified function.

2025-04-11  Sunil K Pandey  <sunil.k.pandey@intel.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9f0deff558d1d6b08c425c157f50de85013ada9c
	x86: Handle unknown Intel processor with default tuning

	* sysdeps/x86/cpu-features.c: Modified.
	(<anonymous>): Remove.
	(intel_get_fam6_microarch): Modified function.
	(init_cpu_features): Modified function.
	(intel_microarch): New.

2025-04-10  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: d18213c6997a058a68bc2547dcb43cf77bc4504f
	conform: Add initial support for C23.

	* conform/data/aio.h-data: Modified.
	* conform/data/arpa/inet.h-data: Modified.
	* conform/data/assert.h-data: Modified.
	* conform/data/complex.h-data: Modified.
	* conform/data/cpio.h-data: Modified.
	* conform/data/ctype.h-data: Modified.
	* conform/data/dirent.h-data: Modified.
	* conform/data/dlfcn.h-data: Modified.
	* conform/data/errno.h-data: Modified.
	* conform/data/fcntl.h-data: Modified.
	* conform/data/fenv.h-data: Modified.
	* conform/data/float.h-data: Modified.
	* conform/data/fmtmsg.h-data: Modified.
	* conform/data/fnmatch.h-data: Modified.
	* conform/data/ftw.h-data: Modified.
	* conform/data/glob.h-data: Modified.
	* conform/data/grp.h-data: Modified.
	* conform/data/iconv.h-data: Modified.
	* conform/data/iso646.h-data: Modified.
	* conform/data/langinfo.h-data: Modified.
	* conform/data/libgen.h-data: Modified.
	* conform/data/limits.h-data: Modified.
	* conform/data/locale.h-data: Modified.
	* conform/data/math.h-data: Modified.
	* conform/data/monetary.h-data: Modified.
	* conform/data/mqueue.h-data: Modified.
	* conform/data/ndbm.h-data: Modified.
	* conform/data/net/if.h-data: Modified.
	* conform/data/netdb.h-data: Modified.
	* conform/data/netinet/in.h-data: Modified.
	* conform/data/nl_types.h-data: Modified.
	* conform/data/poll.h-data: Modified.
	* conform/data/pthread.h-data: Modified.
	* conform/data/pwd.h-data: Modified.
	* conform/data/regex.h-data: Modified.
	* conform/data/sched.h-data: Modified.
	* conform/data/search.h-data: Modified.
	* conform/data/semaphore.h-data: Modified.
	* conform/data/setjmp.h-data: Modified.
	* conform/data/signal.h-data: Modified.
	* conform/data/spawn.h-data: Modified.
	* conform/data/stdalign.h-data: Modified.
	* conform/data/stdarg.h-data: Modified.
	* conform/data/stdbool.h-data: Modified.
	* conform/data/stddef.h-data: Modified.
	* conform/data/stdio.h-data: Modified.
	* conform/data/stdlib.h-data: Modified.
	* conform/data/stdnoreturn.h-data: Modified.
	* conform/data/string.h-data: Modified.
	* conform/data/strings.h-data: Modified.
	* conform/data/sys/ipc.h-data: Modified.
	* conform/data/sys/mman.h-data: Modified.
	* conform/data/sys/msg.h-data: Modified.
	* conform/data/sys/resource.h-data: Modified.
	* conform/data/sys/select.h-data: Modified.
	* conform/data/sys/sem.h-data: Modified.
	* conform/data/sys/shm.h-data: Modified.
	* conform/data/sys/socket.h-data: Modified.
	* conform/data/sys/stat.h-data: Modified.
	* conform/data/sys/statvfs.h-data: Modified.
	* conform/data/sys/time.h-data: Modified.
	* conform/data/sys/timeb.h-data: Modified.
	* conform/data/sys/times.h-data: Modified.
	* conform/data/sys/types.h-data: Modified.
	* conform/data/sys/uio.h-data: Modified.
	* conform/data/sys/un.h-data: Modified.
	* conform/data/sys/utsname.h-data: Modified.
	* conform/data/sys/wait.h-data: Modified.
	* conform/data/syslog.h-data: Modified.
	* conform/data/tar.h-data: Modified.
	* conform/data/termios.h-data: Modified.
	* conform/data/threads.h-data: Modified.
	* conform/data/time.h-data: Modified.
	* conform/data/uchar.h-data: Modified.
	* conform/data/ucontext.h-data: Modified.
	* conform/data/ulimit.h-data: Modified.
	* conform/data/unistd.h-data: Modified.
	* conform/data/utime.h-data: Modified.
	* conform/data/utmpx.h-data: Modified.
	* conform/data/wchar.h-data: Modified.
	* conform/data/wctype.h-data: Modified.
	* conform/data/wordexp.h-data: Modified.

2025-04-10  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: e53eb952b970ac94c97d74fb447418fb327ca096
	x86: Add ARL/PTL/CWF model detection support

	* sysdeps/x86/cpu-features.c: Modified.
	(<anonymous>): Modified.
	(intel_get_fam6_microarch): Modified function.
	(init_cpu_features): Modified function.

2025-04-10  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 402b591f1b0f721139068bf19a77497ce6e6c4ff
	timezone: Enhance tst-bz28707 diagnostics

	* timezone/tst-bz28707.c: Modified.
	(string.h): Remove include.
	(do_test): Modified function.
	(errno.h): Include file.
	(support/check.h): Include file.

2025-04-10  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 77e8b40a6ef4dc70c373523f7ac46e726089906f
	powerpc: Remove relocation cache flush code for power64

	* sysdeps/powerpc/powerpc64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.

2025-04-09  Jakub Jelinek  <jakub@redhat.com>

	COMMIT: 63c99cd50bc9c10f0692f7cb31f4c5f02ff526df
	math: Fix up THREEp96 constant in expf128 [BZ #32411]

	* sysdeps/ieee754/ldbl-128/e_expl.c: Modified.

2025-04-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 12a497c716f0a06be5946cabb8c3ec22a079771e
	elf: Extend glibc.rtld.execstack tunable to force executable stack (BZ 32653)

	* NEWS: Modified.
	* elf/Makefile: Modified.
	* elf/dl-execstack-tunable.c: New file.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.
	* elf/dl-tunables.list: Modified.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/tst-execstack-prog-static-tunable.c: New file.
	* elf/tst-execstack-tunable.c: New file.
	* elf/tst-rtld-list-tunables.exp: Modified.
	* manual/tunables.texi: Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	(stack_tunable_mode): New.
	(_dl_handle_execstack_tunable): New function.

2025-04-08  Lenard Mollenkopf  <glibc@lenardmollenkopf.de>

	COMMIT: 5b132ec2b7712dbc055838b3b538b83ad1196414
	stdlib: Implement C2Y uabs, ulabs, ullabs and uimaxabs

	* NEWS: Modified.
	* manual/arith.texi: Modified.
	* stdlib/Makefile: Modified.
	* stdlib/Versions: Modified.
	* stdlib/inttypes.h: Modified.
	[__GLIBC_USE (ISOC2Y)](uimaxabs): New.
	* stdlib/stdlib.h: Modified.
	[__GLIBC_USE (ISOC2Y)](__wur): New.
	[__GLIBC_USE (ISOC2Y)](__wur): New.
	[__GLIBC_USE (ISOC2Y)](__wur): New.
	* stdlib/tst-uabs.c: New file.
	* stdlib/tst-uimaxabs.c: New file.
	* stdlib/tst-ulabs.c: New file.
	* stdlib/tst-ullabs.c: New file.
	* stdlib/uabs.c: New file.
	* stdlib/ulabs.c: New file.
	* stdlib/ullabs.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2025-04-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4fa959d13d21b8f56a43aa0a416100303736c55c
	stdio-common: In tst-setvbuf2, close helper thread descriptor only if opened

	* stdio-common/tst-setvbuf2.c: Modified.
	[! INDEPENDENT_PART](start_writer_thread_n): Modified function.
	[! INDEPENDENT_PART](end_writer_thread): Modified function.
	[! INDEPENDENT_PART](start_reader_thread_n): Modified function.
	[! INDEPENDENT_PART](end_reader_thread): Modified function.
	[! INDEPENDENT_PART](recurse): Modified function.
	[! INDEPENDENT_PART](end_thread): New function.
	(do_second_part): Modified function.

2025-04-07  Andreas Schwab  <schwab@suse.de>

	COMMIT: fb3d821afa86bc9b2e07f0140e7788e421769589
	Remove duplicates from binaries-shared-tests when creating make rules

	* Rules: Modified.

2025-04-05  Sunil K Pandey  <skpgkp2@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 70b648855185e967e54668b101d24704c3fb869d
	x86: Optimize xstate size calculation

	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/sysdep.h: Modified.
	[! __x86_64__](X86_XSTATE_MAX_ID): New.
	[__x86_64__](X86_XSTATE_MAX_ID): New.

2025-04-05  Sam James  <sam@gentoo.org>

	COMMIT: 8322e93dcdf08d38977f3e9b771c7c1f6dc74542
	NEWS: update for GCC 12.1 requirement [BZ #32539]

	* NEWS: Modified.

2025-04-02  DJ Delorie  <dj@redhat.com>

	COMMIT: aaf94ec804830e0e273cfb45d54f4a04ab778fe5
	stdio: fix hurd link for tst-setvbuf2

	* stdio-common/Makefile: Modified.

2025-04-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c8e73a1492b01b9b0c189d6a5c53a5a697827bae
	stdlib: Fix qsort memory leak if callback throws (BZ 32058)

	* stdlib/Makefile: Modified.
	* stdlib/qsort.c: Modified.
	(__qsort_r): Modified function.
	(pthreadP.h): Include file.
	(qsort_r_mergesort): New function.
	(qsort_r_malloc): New function.
	* stdlib/tst-qsort4.c: Modified.
	(pthread_cleanup_combined_push): New.
	(pthread_cleanup_combined_pop): New.
	* stdlib/tst-qsort7.c: New file.
	* stdlib/tst-qsortx7.c: New file.
	* sysdeps/htl/pthreadP.h: Modified.
	[! pthread_cleanup_combined_pop](pthread_cleanup_combined_pop): New.
	[! pthread_cleanup_combined_push](pthread_cleanup_combined_push): New.
	(bits/cancelation.h): Include file.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/nptl/pthreadP.h: Modified.

2025-04-02  Sam James  <sam@gentoo.org>

	COMMIT: e8514ac7aaf1bd0cf791dbdac0b2584ef3c42e98
	sysdeps: powerpc: restore -mlong-double-128 check

	* sysdeps/unix/sysv/linux/powerpc/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure.ac: Modified.

2025-04-01  DJ Delorie  <dj@redhat.com>

	COMMIT: 95b780c1d0549678c0a244c6e2112ec97edf0839
	stdio: Add more setvbuf tests

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-setvbuf2-ind.c: New file.
	* stdio-common/tst-setvbuf2.c: New file.

2025-04-01  DJ Delorie  <dj@redhat.com>

	COMMIT: 81e74c8676479811601b5894d72bb3d7e05f68dd
	add ptmx support to test-container

	* support/Makefile: Modified.
	* support/test-container.c: Modified.
	(main): Modified function.
	* support/tst-support-openpty-c.c: New file.
	* support/tst-support-openpty.c: New file.

2025-04-01  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 7f163bd2106f96e2925e9bb3e0e545cfae7ba1af
	Update syscall lists for Linux 6.14

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2025-03-31  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c6e2895695118ab59c7b17feb0fcb75a53e3478c
	x86: Link tst-gnu2-tls2-x86-noxsave{,c,xsavec} with libpthread

	* sysdeps/x86/Makefile: Modified.

2025-03-31  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 38c3896d574a27816caab0b5039402834ecdb210
	elf: Fix tst-origin build when toolchain defaults to --as-needed (BZ 32823)

	* elf/Makefile: Modified.

2025-03-31  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 27b96e069aad17cefea9437542180bff448ac3a0
	Raise the minimum GCC version to 12.1 [BZ #32539]

	* INSTALL: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.
	* sysdeps/s390/configure: Modified.
	* sysdeps/s390/configure.ac: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure.ac: Modified.

2025-03-31  YLK  <yilink10@gmail.com>

	COMMIT: dbb2880e61bf2b2906a40ed00181a831d3a65798
	Fix typo in comment

	* sysdeps/loongarch/cpu-tunables.c: Modified.
	* sysdeps/x86/cpu-tunables.c: Modified.

2025-03-31  Samuel Zeter  <samuelzeter@gmail.com>

	COMMIT: 87b5a759f48a7d2bec3a8c837a1fc9fd8419f0ad
	manual: tidy the longopt.c example

	* manual/examples/longopt.c: Modified.
	(main): Modified function.

2025-03-31  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: ee33752b5d8c53eb5a357f67ab7ab6288fba5fd9
	manual: Document functions adopted by POSIX.1-2024.

	* manual/llio.texi: Modified.
	* manual/memory.texi: Modified.
	* manual/message.texi: Modified.
	* manual/pattern.texi: Modified.
	* manual/process.texi: Modified.
	* manual/signal.texi: Modified.
	* manual/startup.texi: Modified.
	* manual/string.texi: Modified.
	* manual/terminal.texi: Modified.
	* manual/threads.texi: Modified.

2025-03-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4352e2cc934b2874dba37397157bf890fcee455a
	aarch64: Fix _dl_tlsdesc_dynamic unwind for pac-ret (BZ 32612)

	* sysdeps/aarch64/dl-tlsdesc.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/tst-tlsdesc-pac-mod.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-tlsdesc-pac.c: New file.

2025-03-29  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 145097dff170507fe73190e8e41194f5b5f7e6bf
	x86: Use separate variable for TLSDESC XSAVE/XSAVEC state size (bug 32810)

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	(_dl_x86_features_tlsdesc_state_size): New.
	* sysdeps/x86/cpu-tunables.c: Modified.
	(TUNABLE_CALLBACK): Modified function.
	* sysdeps/x86/dl-diagnostics-cpu.c: Modified.
	(_dl_diagnostics_cpu): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	[IS_IN (rtld) || IS_IN (libc)](_dl_x86_features_tlsdesc_state_size): New.
	* sysdeps/x86/tst-gnu2-tls2-x86-noxsave.c: New file.
	* sysdeps/x86/tst-gnu2-tls2-x86-noxsavec.c: New file.
	* sysdeps/x86/tst-gnu2-tls2-x86-noxsavexsavec.c: New file.
	* sysdeps/x86_64/dl-tlsdesc-dynamic.h: Modified.

2025-03-29  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 59585ddaa2d44f22af04bb4b8bd4ad1e302c4c02
	x86: Skip XSAVE state size reset if ISA level requires XSAVE

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	(gcc-macros.h): Include file.

2025-03-28  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: b0897944cc3081e019b39981790051f7ee127406
	malloc: Improve performance of __libc_malloc

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_malloc): Modified function.
	[IS_IN (libc)](__libc_malloc2): New function.
	(checked_request2size): Modified function.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 0a8e7ac95c69499959151f29c65fc112f09d3973
	stdio-common: Reject real data w/o exponent digits in scanf [BZ #12701]

	* stdio-common/tstscanf.c: Modified.
	(main): Modified function.
	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-a.input: Modified.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-aa.input: Modified.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-e.input: Modified.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-ee.input: Modified.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-g.input: Modified.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-gg.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-a.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-aa.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-e.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-ee.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-g.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-gg.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-aa.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-e.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-ee.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-g.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-gg.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-aa.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-e.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-ee.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-g.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-gg.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-aa.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-e.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-ee.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-g.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-gg.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-aa.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-e.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-ee.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-g.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-gg.input: Modified.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 0b390b55085070bfa9598fb42049a32460681308
	stdio-common: Reject significand prefixes in scanf [BZ #12701]

	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-a.input: Modified.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-aa.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-a.input: Modified.
	* sysdeps/ieee754/flt-32/tst-scanf-format-float-aa.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-aa.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-aa.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-aa.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-a.input: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-aa.input: Modified.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: e78cb4f6bd033b09eaf316057598df9315891860
	stdio-common: Reject integer prefixes in scanf [BZ #12701]

	* stdio-common/tst-scanf-format-char-i.input: Modified.
	* stdio-common/tst-scanf-format-llong-i.input: Modified.
	* stdio-common/tst-scanf-format-short-i.input: Modified.
	* stdio-common/tst-scanf-format-uchar-b.input: Modified.
	* stdio-common/tst-scanf-format-uchar-x.input: Modified.
	* stdio-common/tst-scanf-format-uchar-xx.input: Modified.
	* stdio-common/tst-scanf-format-ullong-b.input: Modified.
	* stdio-common/tst-scanf-format-ullong-x.input: Modified.
	* stdio-common/tst-scanf-format-ullong-xx.input: Modified.
	* stdio-common/tst-scanf-format-ushort-b.input: Modified.
	* stdio-common/tst-scanf-format-ushort-x.input: Modified.
	* stdio-common/tst-scanf-format-ushort-xx.input: Modified.
	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.
	* sysdeps/wordsize-32/tst-scanf-format-int-i.input: Modified.
	* sysdeps/wordsize-32/tst-scanf-format-long-i.input: Modified.
	* sysdeps/wordsize-32/tst-scanf-format-uint-b.input: Modified.
	* sysdeps/wordsize-32/tst-scanf-format-uint-x.input: Modified.
	* sysdeps/wordsize-32/tst-scanf-format-uint-xx.input: Modified.
	* sysdeps/wordsize-32/tst-scanf-format-ulong-b.input: Modified.
	* sysdeps/wordsize-32/tst-scanf-format-ulong-x.input: Modified.
	* sysdeps/wordsize-32/tst-scanf-format-ulong-xx.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-int-i.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-long-i.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-uint-b.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-uint-x.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-uint-xx.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-ulong-b.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-ulong-x.input: Modified.
	* sysdeps/wordsize-64/tst-scanf-format-ulong-xx.input: Modified.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: a26638424ffea604f7ef94d0c6f3940304698442
	stdio-common: Also reject exp char w/o significand in i18n scanf [BZ #13988]

	* localedata/Makefile: Modified.
	* localedata/tst-bz13988.c: New file.
	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 47076b3163ce645f791d5c8f80080e9811733347
	stdio-common: Add tests for formatted vsscanf input specifiers

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-scanf-format-vs-c.c: New file.
	* stdio-common/tst-scanf-format-vs-char.c: New file.
	* stdio-common/tst-scanf-format-vs-double.c: New file.
	* stdio-common/tst-scanf-format-vs-float.c: New file.
	* stdio-common/tst-scanf-format-vs-int.c: New file.
	* stdio-common/tst-scanf-format-vs-ldouble.c: New file.
	* stdio-common/tst-scanf-format-vs-llong.c: New file.
	* stdio-common/tst-scanf-format-vs-long.c: New file.
	* stdio-common/tst-scanf-format-vs-short.c: New file.
	* stdio-common/tst-scanf-format-vs-uchar.c: New file.
	* stdio-common/tst-scanf-format-vs-uint.c: New file.
	* stdio-common/tst-scanf-format-vs-ullong.c: New file.
	* stdio-common/tst-scanf-format-vs-ulong.c: New file.
	* stdio-common/tst-scanf-format-vs-ushort.c: New file.
	* stdio-common/tst-scanf-format-vs.h: New file.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 53ee7ede430b92fcefd31fc00bfd3fa9acec5846
	stdio-common: Add tests for formatted vfscanf input specifiers

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-scanf-format-vf-c.c: New file.
	* stdio-common/tst-scanf-format-vf-char.c: New file.
	* stdio-common/tst-scanf-format-vf-double.c: New file.
	* stdio-common/tst-scanf-format-vf-float.c: New file.
	* stdio-common/tst-scanf-format-vf-int.c: New file.
	* stdio-common/tst-scanf-format-vf-ldouble.c: New file.
	* stdio-common/tst-scanf-format-vf-llong.c: New file.
	* stdio-common/tst-scanf-format-vf-long.c: New file.
	* stdio-common/tst-scanf-format-vf-short.c: New file.
	* stdio-common/tst-scanf-format-vf-uchar.c: New file.
	* stdio-common/tst-scanf-format-vf-uint.c: New file.
	* stdio-common/tst-scanf-format-vf-ullong.c: New file.
	* stdio-common/tst-scanf-format-vf-ulong.c: New file.
	* stdio-common/tst-scanf-format-vf-ushort.c: New file.
	* stdio-common/tst-scanf-format-vf.h: New file.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 63c81fa0dbf741b33bbac03bf204d896ee8e4694
	stdio-common: Add tests for formatted vscanf input specifiers

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-scanf-format-v-c.c: New file.
	* stdio-common/tst-scanf-format-v-char.c: New file.
	* stdio-common/tst-scanf-format-v-double.c: New file.
	* stdio-common/tst-scanf-format-v-float.c: New file.
	* stdio-common/tst-scanf-format-v-int.c: New file.
	* stdio-common/tst-scanf-format-v-ldouble.c: New file.
	* stdio-common/tst-scanf-format-v-llong.c: New file.
	* stdio-common/tst-scanf-format-v-long.c: New file.
	* stdio-common/tst-scanf-format-v-short.c: New file.
	* stdio-common/tst-scanf-format-v-uchar.c: New file.
	* stdio-common/tst-scanf-format-v-uint.c: New file.
	* stdio-common/tst-scanf-format-v-ullong.c: New file.
	* stdio-common/tst-scanf-format-v-ulong.c: New file.
	* stdio-common/tst-scanf-format-v-ushort.c: New file.
	* stdio-common/tst-scanf-format-v.h: New file.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: bf6ac302cde4aef55ded7e5340f16e6cd8b8e874
	stdio-common: Add tests for formatted sscanf input specifiers

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-scanf-format-ss-c.c: New file.
	* stdio-common/tst-scanf-format-ss-char.c: New file.
	* stdio-common/tst-scanf-format-ss-double.c: New file.
	* stdio-common/tst-scanf-format-ss-float.c: New file.
	* stdio-common/tst-scanf-format-ss-int.c: New file.
	* stdio-common/tst-scanf-format-ss-ldouble.c: New file.
	* stdio-common/tst-scanf-format-ss-llong.c: New file.
	* stdio-common/tst-scanf-format-ss-long.c: New file.
	* stdio-common/tst-scanf-format-ss-short.c: New file.
	* stdio-common/tst-scanf-format-ss-uchar.c: New file.
	* stdio-common/tst-scanf-format-ss-uint.c: New file.
	* stdio-common/tst-scanf-format-ss-ullong.c: New file.
	* stdio-common/tst-scanf-format-ss-ulong.c: New file.
	* stdio-common/tst-scanf-format-ss-ushort.c: New file.
	* stdio-common/tst-scanf-format-ss.h: New file.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 50576060c8bf88a3c64c9ab1cdd516974ffb2690
	stdio-common: Add tests for formatted fscanf input specifiers

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-scanf-format-f-c.c: New file.
	* stdio-common/tst-scanf-format-f-char.c: New file.
	* stdio-common/tst-scanf-format-f-double.c: New file.
	* stdio-common/tst-scanf-format-f-float.c: New file.
	* stdio-common/tst-scanf-format-f-int.c: New file.
	* stdio-common/tst-scanf-format-f-ldouble.c: New file.
	* stdio-common/tst-scanf-format-f-llong.c: New file.
	* stdio-common/tst-scanf-format-f-long.c: New file.
	* stdio-common/tst-scanf-format-f-short.c: New file.
	* stdio-common/tst-scanf-format-f-uchar.c: New file.
	* stdio-common/tst-scanf-format-f-uint.c: New file.
	* stdio-common/tst-scanf-format-f-ullong.c: New file.
	* stdio-common/tst-scanf-format-f-ulong.c: New file.
	* stdio-common/tst-scanf-format-f-ushort.c: New file.
	* stdio-common/tst-scanf-format-f.h: New file.

2025-03-28  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: d527f34cb1d487a4788fe88278a9ad832c53c3ee
	stdio-common: Add scanf long double data for Intel/Motorola 80-bit format

	* sysdeps/ieee754/ldbl-96/Makefile: Modified.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-a.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-aa.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-e.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-ee.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-f.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-ff.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-g.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-ldouble-gg.input: New file.
	* sysdeps/ieee754/ldbl-96/tst-scanf-format-skeleton-ldouble.c: New file.

2025-03-27  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 75ad83f564b822de0f1f5fb6ed29f105373d3c49
	Implement C23 pown

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-pown: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	(func_calc_method): Modified.
	(func_calc_desc): Modified.
	(calc_generic_results): Modified function.
	(FUNC_mpfr_fL_f): New.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-driver.c: Modified.
	(test_fL_f_data): New.
	(RUN_TEST_fL_f): New.
	(RUN_TEST_LOOP_fL_f): New.
	* math/libm-test-pown.inc: New file.
	* math/s_pown_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](pown): New.
	* sysdeps/generic/math-type-macros-double.h: Modified.
	(M_SET_RESTORE_ROUND): New.
	* sysdeps/generic/math-type-macros-float.h: Modified.
	(M_SET_RESTORE_ROUND): New.
	* sysdeps/generic/math-type-macros-float128.h: Modified.
	[! SET_RESTORE_ROUNDF128](M_SET_RESTORE_ROUND): New.
	[SET_RESTORE_ROUNDF128](M_SET_RESTORE_ROUND): New.
	(fenv_private.h): Include file.
	* sysdeps/generic/math-type-macros-ldouble.h: Modified.
	(M_SET_RESTORE_ROUND): New.
	* sysdeps/generic/math-type-macros.h: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-pown.c: New file.
	* sysdeps/loongarch/math_private.h: Move to...
	* sysdeps/loongarch/fenv_private.h: ... here.
	(LOONGARCH_MATH_PRIVATE_H): Remove.
	(_next <math_private.h): Remove include.
	(LOONGARCH_FENV_PRIVATE_H): New.
	(_next <fenv_private.h): Include file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2025-03-26  Florian Weimer  <fweimer@redhat.com>

	COMMIT: be61b9493d38032519e596f282f9695667402c8d
	support: Use unwinder in links-dso-program-c only with libgcc_s

	* support/Makefile: Modified.

2025-03-26  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 1233da4943a9a0e334748490225ae10b0d770c0a
	malloc: Use __always_inline for simple functions

	* malloc/arena.c: Modified.
	(heap_min_size): Modified function.
	(heap_max_size): Modified function.
	(heap_for_ptr): Modified function.
	(arena_for_chunk): Modified function.
	(TUNABLE_CALLBACK_FNDECL): Modified.
	* malloc/malloc.c: Modified.
	[USE_TCACHE](tcache_free): Modified function.
	(checked_request2size): Modified function.
	(get_max_fast): Modified function.
	(void): Modified.
	(void): Modified.

2025-03-25  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 3263675250cbcbbcc76ede4f7c660418bd345a11
	linux: Fix integer overflow warnings when including <sys/mount.h> [BZ #32708]

	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(<anonymous>): Modified.

2025-03-25  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: cd335350021fd0b7ac533c83717ee38832fd9887
	malloc: Use _int_free_chunk for remainders

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_realloc): Modified function.
	(sysmalloc): Modified function.
	(_int_realloc): Modified function.

2025-03-25  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 8bac7f7a434e158e9765b3b4d1ecaf10304f5994
	Use MPFR 4.2.2 and Linux 6.14 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2025-03-25  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 4bea073069e9e457258d082786297a867593d05b
	stdio-common: Add scanf long double data for IBM 128-bit format

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-a.input: New file.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-aa.input: New file.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-e.input: New file.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-ee.input: New file.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-f.input: New file.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-ff.input: New file.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-g.input: New file.
	* sysdeps/ieee754/ldbl-128ibm/tst-scanf-format-ldouble-gg.input: New file.

2025-03-25  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 771cda3c9cbbfc33a1a337d964e7749b245dec38
	stdio-common: Add scanf long double data for IEEE 754 binary64 format

	* sysdeps/ieee754/ldbl-64-128/Makefile: New file.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-a.input: New file.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-aa.input: New file.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-e.input: New file.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-ee.input: New file.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-f.input: New file.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-ff.input: New file.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-g.input: New file.
	* sysdeps/ieee754/ldbl-opt/tst-scanf-format-ldouble-gg.input: New file.

2025-03-25  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 1890e63c86ceb04a49a914dc2cafa9862e938ef6
	stdio-common: Add scanf long double data for IEEE 754 binary128 format

	* sysdeps/ieee754/ldbl-128/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-a.input: New file.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-aa.input: New file.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-e.input: New file.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-ee.input: New file.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-f.input: New file.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-ff.input: New file.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-g.input: New file.
	* sysdeps/ieee754/ldbl-128/tst-scanf-format-ldouble-gg.input: New file.

2025-03-25  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 0b311614395586608b5433dc8151e098d1906446
	stdio-common: Add scanf double data for IEEE 754 binary64 format

	* sysdeps/ieee754/dbl-64/Makefile: Modified.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-a.input: New file.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-aa.input: New file.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-e.input: New file.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-ee.input: New file.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-f.input: New file.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-ff.input: New file.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-g.input: New file.
	* sysdeps/ieee754/dbl-64/tst-scanf-format-double-gg.input: New file.

2025-03-25  Maciej W. Rozycki  <macro@redhat.com>

